A,B,a,b,b1,c,c1,k,l,m,n,r,s,x= symbols('A B a b b1 c c1 k l m n r s x ')
lst=[["1/(-b**2*x**2+a**2)",x,1,"atanh(b*x/a)/a/b"],
["1/(b**2*x**2+a**2)",x,1,"atan(b*x/a)/a/b"],
["sec(2*a*x)",x,1,"1/2*atanh(sin(2*a*x))/a"],
["1/4/sin(1/3*x)",x,2,"-3/4*atanh(cos(1/3*x))"],
["-1/cos(1/4*pi+2*x)",x,1,"-1/2*atanh(sin(1/4*pi+2*x))"],
["sec(x)*tan(x)",x,2,"sec(x)"],
["cot(x)*csc(x)",x,2,"-csc(x)"],
["tan(x)/sin(2*x)",x,2,"1/2*tan(x)"],
["1/(1+cos(x))",x,1,"sin(x)/(1+cos(x))"],
["1/(1-cos(x))",x,1,"-sin(x)/(1-cos(x))"],
["sin(x)/(a-b*cos(x))",x,2,"ln(a-b*cos(x))/b"],
["cos(x)/(a**2+b**2*sin(x)**2)",x,2,"atan(b*sin(x)/a)/a/b"],
["cos(x)/(a**2-b**2*sin(x)**2)",x,2,"atanh(b*sin(x)/a)/a/b"],
["sin(2*x)/(a**2+b**2*sin(x)**2)",x,3,"ln(a**2+b**2*sin(x)**2)/b**2"],
["sin(2*x)/(a**2-b**2*sin(x)**2)",x,3,"-ln(a**2-b**2*sin(x)**2)/b**2"],
["sin(2*x)/(a**2+b**2*cos(x)**2)",x,3,"-ln(a**2+b**2*cos(x)**2)/b**2"],
["sin(2*x)/(a**2-b**2*cos(x)**2)",x,3,"ln(a**2-b**2*cos(x)**2)/b**2"],
["1/(4-cos(x)**2)",x,2,"1/6*x*3**(1/2)+1/6*atan(cos(x)*sin(x)/(3+sin(x)**2+2*3**(1/2)))*3**(1/2)"],
["exp(x)/(-1+exp(2*x))",x,2,"-atanh(exp(x))"],
["1/x/ln(x)",x,2,"ln(ln(x))"],
["1/x/(1+ln(x)**2)",x,2,"atan(ln(x))"],
["1/x/(1-ln(x))",x,2,"-ln(1-ln(x))"],
["1/x/(1+ln(x/a))",x,2,"ln(1+ln(x/a))"],
["(1+x-x**(1/2))**2/x**2",x,3,"-1/x+x+3*ln(x)+4/x**(1/2)-4*x**(1/2)"],
["(2-x**(2/3))*(x+x**(1/2))/x**(3/2)",x,4,"-3/2*x**(2/3)-6/7*x**(7/6)+2*ln(x)+4*x**(1/2)"],
["(-1+2*x)/(3+2*x)",x,2,"x-2*ln(3+2*x)"],
["(-5+2*x)/(3*x**2-2)",x,3,"1/12*ln(-3*x+6**(1/2))*(4-5*6**(1/2))+1/12*ln(3*x+6**(1/2))*(4+5*6**(1/2))"],
["(-5+2*x)/(3*x**2+2)",x,3,"1/3*ln(3*x**2+2)-5/6*atan(1/2*x*6**(1/2))*6**(1/2)"],
["sin(1/4*x)*sin(x)",x,1,"2/3*sin(3/4*x)-2/5*sin(5/4*x)"],
["cos(3*x)*cos(4*x)",x,1,"1/2*sin(x)+1/14*sin(7*x)"],
["-tan(x)*tan(a-x)",x,4,"-x-cot(a)*ln(cos(x))+cot(a)*ln(cos(a-x))"],
["sin(x)**2",x,2,"1/2*x-1/2*cos(x)*sin(x)"],
["cos(x)**2",x,2,"1/2*x+1/2*cos(x)*sin(x)"],
["cos(x)**3*sin(x)",x,2,"-1/4*cos(x)**4"],
["cos(x)**3/sin(x)**4",x,2,"-1/3/sin(x)**3+1/sin(x)"],
["1/cos(x)**2/sin(x)**2",x,3,"-cot(x)+tan(x)"],
["cot(3/4*x)**2",x,2,"-x-4/3*cot(3/4*x)"],
["(1+tan(2*x))**2",x,2,"-ln(cos(2*x))+1/2*tan(2*x)"],
["(-cot(x)+tan(x))**2",x,4,"-4*x-cot(x)+tan(x)"],
["(-sec(x)+tan(x))**2",x,4,"-x-2*cos(x)/(1+sin(x))"],
["sin(x)/(1+sin(x))",x,2,"x+cos(x)/(1+sin(x))"],
["cos(x)/(1-cos(x))",x,2,"-x-sin(x)/(1-cos(x))"],
["(-1+exp(1/2*x))**3/exp(1/2*x)",x,3,"2/exp(1/2*x)-6*exp(1/2*x)+exp(x)+3*x"],
["1/(x**2-6*x+5)",x,3,"-1/4*ln(1-x)+1/4*ln(5-x)"],
["x**2/(x**6-6*x**3+13)",x,3,"1/6*atan(1/2*x**3-3/2)"],
["(2+x)/(x**2-4*x-1)",x,3,"1/10*ln(2-x-5**(1/2))*(5-4*5**(1/2))+1/10*ln(2-x+5**(1/2))*(5+4*5**(1/2))"],
["1/(1+(1+x)**(1/3))",x,4,"-3*(1+x)**(1/3)+3/2*(1+x)**(2/3)+3*ln(1+(1+x)**(1/3))"],
["1/(a*x+b)/x**(1/2)",x,2,"2*atan(a**(1/2)*x**(1/2)/b**(1/2))/a**(1/2)/b**(1/2)"],
["x**3*(x**2+1)**(1/2)",x,3,"-1/3*(x**2+1)**(3/2)+1/5*(x**2+1)**(5/2)"],
["x/(a**4-x**4)**(1/2)",x,3,"1/2*atan(x**2/(a**4-x**4)**(1/2))"],
["1/x/(-a**2+x**2)**(1/2)",x,3,"atan((-a**2+x**2)**(1/2)/a)/a"],
["1/x/(a**2-x**2)**(1/2)",x,3,"-atanh((a**2-x**2)**(1/2)/a)/a"],
["1/x/(a**2+x**2)**(1/2)",x,3,"-atanh((a**2+x**2)**(1/2)/a)/a"],
["1/(-x**2+x+2)**(1/2)",x,2,"asin(-1/3+2/3*x)"],
["1/(3*x**2-4*x+5)**(1/2)",x,2,"-1/3*asinh(1/11*(2-3*x)*11**(1/2))*3**(1/2)"],
["1/(-x**2+x)**(1/2)",x,2,"asin(-1+2*x)"],
["(1+2*x)/(-x**2+x+2)**(1/2)",x,3,"2*asin(-1/3+2/3*x)-2*(-x**2+x+2)**(1/2)"],
["1/x/(-x**2+x+2)**(1/2)",x,2,"-1/2*atanh(1/4*(4+x)*2**(1/2)/(-x**2+x+2)**(1/2))*2**(1/2)"],
["1/(-2+x)/(-x**2+x+2)**(1/2)",x,1,"2/3*(-x**2+x+2)**(1/2)/(-2+x)"],
["(2+3*sin(x))/(1-cos(x))/sin(x)",x,7,"-atanh(cos(x))-1/(1-cos(x))-3*sin(x)/(1-cos(x))"],
["1/(2+3*cos(x)**2)",x,2,"1/10*x*10**(1/2)-1/10*atan(3*cos(x)*sin(x)/(2+3*cos(x)**2+10**(1/2)))*10**(1/2)"],
["(1-tan(x))/sin(2*x)",x,3,"1/2*ln(tan(x))-1/2*tan(x)"],
["(1+tan(x)**2)/(1-tan(x)**2)",x,2,"1/2*atanh(2*cos(x)*sin(x))"],
["(a**2-4*cos(x)**2)**(3/4)*sin(2*x)",x,3,"1/7*(a**2-4*cos(x)**2)**(7/4)"],
["sin(2*x)/(a**2-4*sin(x)**2)**(1/3)",x,3,"-3/8*(a**2-4*sin(x)**2)**(2/3)"],
["1/(-1+a**(2*x))**(1/2)",x,3,"atan((-1+a**(2*x))**(1/2))/ln(a)"],
["exp(1/2*x)/(-1+exp(x))**(1/2)",x,3,"2*atanh(exp(1/2*x)/(-1+exp(x))**(1/2))"],
["atan(x)**n/(x**2+1)",x,1,"atan(x)**(1+n)/(1+n)"],
["asin(x/a)**(3/2)/(a**2-x**2)**(1/2)",x,1,"2/5*a*asin(x/a)**(5/2)*(1-x**2/a**2)**(1/2)/(a**2-x**2)**(1/2)"],
["1/acos(x)**3/(-x**2+1)**(1/2)",x,1,"1/2/acos(x)**2"],
["x*ln(x)**2",x,2,"1/4*x**2-1/2*x**2*ln(x)+1/2*x**2*ln(x)**2"],
["ln(x)/x**5",x,1,"-1/16/x**4-1/4*ln(x)/x**4"],
["x**2*ln((-1+x)/x)",x,5,"-1/3*x-1/6*x**2-1/3*ln(-1+x)+1/3*x**3*ln((-1+x)/x)"],
["cos(x)**5",x,2,"sin(x)-2/3*sin(x)**3+1/5*sin(x)**5"],
["cos(x)**4*sin(x)**2",x,4,"1/16*x+1/16*cos(x)*sin(x)+1/24*cos(x)**3*sin(x)-1/6*cos(x)**5*sin(x)"],
["1/sin(x)**5",x,3,"-3/8*atanh(cos(x))-3/8*cot(x)*csc(x)-1/4*cot(x)*csc(x)**3"],
["sin(x)/exp(x)",x,1,"-1/2*cos(x)/exp(x)-1/2*sin(x)/exp(x)"],
["exp(2*x)*sin(3*x)",x,1,"-3/13*exp(2*x)*cos(3*x)+2/13*exp(2*x)*sin(3*x)"],
["a**x*cos(x)",x,1,"a**x*cos(x)*ln(a)/(1+ln(a)**2)+a**x*sin(x)/(1+ln(a)**2)"],
["cos(ln(x))",x,1,"1/2*x*cos(ln(x))+1/2*x*sin(ln(x))"],
["ln(cos(x))*sec(x)**2",x,3,"-x+tan(x)+ln(cos(x))*tan(x)"],
["x*tan(x)**2",x,3,"-1/2*x**2+ln(cos(x))+x*tan(x)"],
["asin(x)/x**2",x,4,"-asin(x)/x-atanh((-x**2+1)**(1/2))"],
["asin(x)**2",x,3,"-2*x+x*asin(x)**2+2*asin(x)*(-x**2+1)**(1/2)"],
["x**2*atan(x)/(x**2+1)",x,4,"x*atan(x)-1/2*atan(x)**2-1/2*ln(x**2+1)"],
["acos((x/(1+x))**(1/2))",x,6,"(1+x)*(acos((x/(1+x))**(1/2))+(1/(1+x))**(1/2)*(x/(1+x))**(1/2))"],
["(3*x**2+2*x)**3",x,2,"2*x**4+36/5*x**5+9*x**6+27/7*x**7"],
["(-1+x)*(3*x**2+2*x-1)**2",x,2,"-x+5/2*x**2-2/3*x**3-7/2*x**4+3/5*x**5+3/2*x**6"],
["x**(-1+k)*(a+b*x**k)**n",x,1,"(a+b*x**k)**(1+n)/b/k/(1+n)"],
["x**3/(1+2*x)",x,2,"1/8*x-1/8*x**2+1/6*x**3-1/16*ln(1+2*x)"],
["x**6/(3*x**2+2)",x,3,"4/27*x-2/27*x**3+1/15*x**5-4/81*atan(1/2*x*6**(1/2))*6**(1/2)"],
["1/(3*x**2-7*x+2)",x,3,"-1/5*ln(1-3*x)+1/5*ln(2-x)"],
["(-1+3*x)/(x**2-x+1)",x,4,"3/2*ln(x**2-x+1)-1/3*atan(1/3*(1-2*x)*3**(1/2))*3**(1/2)"],
["x**2/(x**2+2*x+5)",x,5,"x-3/2*atan(1/2+1/2*x)-ln(x**2+2*x+5)"],
["(6*x**4-5*x**3+4*x**2)/(2*x**2-x+1)",x,7,"-1/2*x**2+x**3+1/4*ln(2*x**2-x+1)-1/14*atan(1/7*(1-4*x)*7**(1/2))*7**(1/2)"],
["(x**2+x-1)/(x**3+x**2-6*x)",x,3,"1/2*ln(2-x)+1/6*ln(x)+1/3*ln(3+x)"],
["(11*a**2-7*a*x+5*x**2)/(-6*a**3+11*a**2*x-6*a*x**2+x**3)",x,2,"9/2*ln(a-x)-17*ln(2*a-x)+35/2*ln(3*a-x)"],
["(x**2-x+2)/(x**4-5*x**2+4)",x,12,"-1/3*ln(1-x)+1/3*ln(2-x)+2/3*ln(1+x)-2/3*ln(2+x)"],
["(2*x**2-5)/(x**4-5*x**2+6)",x,3,"-1/2*atanh(1/2*x*2**(1/2))*2**(1/2)-1/3*atanh(1/3*x*3**(1/2))*3**(1/2)"],
["1/(-4+x)/(-3+x)/(-2+x)/(-1+x)",x,2,"-1/6*ln(1-x)+1/2*ln(2-x)-1/2*ln(3-x)+1/6*ln(4-x)"],
["(x**2+1)/(-1+x)**3",x,2,"-1/(1-x)**2+2/(1-x)+ln(1-x)"],
["x**5/(3+x)**2",x,2,"-108*x+27/2*x**2-2*x**3+1/4*x**4+243/(3+x)+405*ln(3+x)"],
["(5*x**3-2)/(x**4-8*x**3+18*x**2-27)",x,2,"-133/8/(3-x)**2+407/16/(3-x)+313/64*ln(3-x)+7/64*ln(1+x)"],
["(x**3-6*x**2+3*x-9)/(3+x)**2/(4+x)**2",x,2,"99/(3+x)+181/(4+x)+264*ln(3+x)-263*ln(4+x)"],
["(x**3+x**2+2)/x/(x**2-1)**2",x,3,"1/2*(3+x)/(-x**2+1)-3/4*ln(1-x)+2*ln(x)-5/4*ln(1+x)"],
["1/(x**6-x**5-x**4+x**3)",x,2,"1/2/(1-x)-1/2/x**2-1/x-7/4*ln(1-x)+2*ln(x)-1/4*ln(1+x)"],
["(x**4+1)/(x**3-x**2+x-1)",x,5,"x+1/2*x**2-atan(x)+ln(1-x)-1/2*ln(x**2+1)"],
["1/x/(1+x)/(x**2+1)",x,5,"-1/2*atan(x)+ln(x)-1/2*ln(1+x)-1/4*ln(x**2+1)"],
["x**2/(x**4+x**2-2)",x,3,"-1/3*atanh(x)+1/3*atan(1/2*x*2**(1/2))*2**(1/2)"],
["(x**3+4*x**2+6*x)/(x**4+2*x**3+3*x**2+4*x+2)",x,6,"1/(1+x)-1/3*ln(1+x)+2/3*ln(x**2+2)+4/3*atan(1/2*x*2**(1/2))*2**(1/2)"],
["x/(1+x)/(1+2*x)**2/(x**2+1)",x,5,"2/5/(1+2*x)+1/50*atan(x)-1/2*ln(1+x)+16/25*ln(1+2*x)-7/100*ln(x**2+1)"],
["(3*x**2+x-2)/(-1+x)**3/(x**2+1)",x,5,"-1/2/(1-x)**2+5/2/(1-x)-atan(x)-3/2*ln(1-x)+3/4*ln(x**2+1)"],
["1/(x**4+x**2+1)",x,9,"-1/4*ln(x**2-x+1)+1/4*ln(x**2+x+1)-1/6*atan(1/3*(1-2*x)*3**(1/2))*3**(1/2)+1/6*atan(1/3*(1+2*x)*3**(1/2))*3**(1/2)"],
["(2*x**3+3)/(x**5-9*x)",x,10,"-1/3*ln(x)+1/12*ln(-x**4+9)+1/3*atan(1/3*x*3**(1/2))*3**(1/2)-1/3*atanh(1/3*x*3**(1/2))*3**(1/2)"],
["(5*x**3+8*x-20)/(-4+x)**3/(x**2-4*x+8)",x,6,"-83/4/(4-x)**2+41/4/(4-x)+3/16*atan(-1+1/2*x)-45/16*ln(4-x)+45/32*ln(x**2-4*x+8)"],
["1/(x**2+1)/(x**2+2)/(x**2+3)/(x**2+4)",x,6,"-1/12*atan(1/2*x)+1/6*atan(x)-1/4*atan(1/2*x*2**(1/2))*2**(1/2)+1/6*atan(1/3*x*3**(1/2))*3**(1/2)"],
["x/(x**2+1)/(x**2+2)/(x**2+3)/(x**2+4)",x,3,"1/12*ln(x**2+1)-1/4*ln(x**2+2)+1/4*ln(x**2+3)-1/12*ln(x**2+4)"],
["1/(a**3+x**3)",x,6,"1/3*ln(a+x)/a**2-1/6*ln(a**2-a*x+x**2)/a**2-1/3*atan(1/3*(a-2*x)/a*3**(1/2))/a**2*3**(1/2)"],
["x/(a**3+x**3)",x,6,"-1/3*ln(a+x)/a+1/6*ln(a**2-a*x+x**2)/a-1/3*atan(1/3*(a-2*x)/a*3**(1/2))/a*3**(1/2)"],
["x**2/(a**3+x**3)",x,1,"1/3*ln(a**3+x**3)"],
["1/x/(a**3+x**3)",x,4,"ln(x)/a**3-1/3*ln(a**3+x**3)/a**3"],
["1/x**2/(a**3+x**3)",x,7,"-1/a**3/x+1/3*ln(a+x)/a**4-1/6*ln(a**2-a*x+x**2)/a**4+1/3*atan(1/3*(a-2*x)/a*3**(1/2))/a**4*3**(1/2)"],
["1/x**3/(a**3+x**3)",x,7,"-1/2/a**3/x**2-1/3*ln(a+x)/a**5+1/6*ln(a**2-a*x+x**2)/a**5+1/3*atan(1/3*(a-2*x)/a*3**(1/2))/a**5*3**(1/2)"],
["1/x**4/(a**3+x**3)",x,3,"-1/3/a**3/x**3-ln(x)/a**6+1/3*ln(a**3+x**3)/a**6"],
["1/x**5/(a**3+x**3)",x,8,"-1/4/a**3/x**4+1/a**6/x-1/3*ln(a+x)/a**7+1/6*ln(a**2-a*x+x**2)/a**7-1/3*atan(1/3*(a-2*x)/a*3**(1/2))/a**7*3**(1/2)"],
["1/(x**m)/(a**3+x**3)",x,1,"x**(1-m)*hyper([1, 1/3-1/3*m],[4/3-1/3*m],-x**3/a**3)/a**3/(1-m)"],
["1/(a**4-x**4)",x,3,"1/2*atan(x/a)/a**3+1/2*atanh(x/a)/a**3"],
["x/(a**4-x**4)",x,2,"1/2*atanh(x**2/a**2)/a**2"],
["1/x/(a**4-x**4)",x,4,"ln(x)/a**4-1/4*ln(a**4-x**4)/a**4"],
["1/x**2/(a**4-x**4)",x,4,"-1/a**4/x-1/2*atan(x/a)/a**5+1/2*atanh(x/a)/a**5"],
["1/x**3/(a**4-x**4)",x,3,"-1/2/a**4/x**2+1/2*atanh(x**2/a**2)/a**6"],
["1/x**4/(a**4-x**4)",x,4,"-1/3/a**4/x**3+1/2*atan(x/a)/a**7+1/2*atanh(x/a)/a**7"],
["1/(x**m)/(a**4-x**4)",x,1,"x**(1-m)*hyper([1, 1/4-1/4*m],[5/4-1/4*m],x**4/a**4)/a**4/(1-m)"],
["x/(a**4+x**4)",x,2,"1/2*atan(x**2/a**2)/a**2"],
["x**2/(a**4+x**4)",x,9,"-1/4*atan(1-x*2**(1/2)/a)/a*2**(1/2)+1/4*atan(1+x*2**(1/2)/a)/a*2**(1/2)+1/8*ln(a**2+x**2-a*x*2**(1/2))/a*2**(1/2)-1/8*ln(a**2+x**2+a*x*2**(1/2))/a*2**(1/2)"],
["1/(a**5+x**5)",x,6,"1/5*ln(a+x)/a**4-1/20*ln(a**2+x**2-1/2*a*x*(-5**(1/2)+1))*(-5**(1/2)+1)/a**4-1/20*ln(a**2+x**2-1/2*a*x*(5**(1/2)+1))*(5**(1/2)+1)/a**4-1/10*atan(1/20*(-4*x+a*(5**(1/2)+1))*(50+10*5**(1/2))**(1/2)/a)*(10-2*5**(1/2))**(1/2)/a**4-1/10*atan((-4*x+a*(-5**(1/2)+1))/a/(10+2*5**(1/2))**(1/2))*(10+2*5**(1/2))**(1/2)/a**4"],
["x/(a**5+x**5)",x,6,"-1/5*ln(a+x)/a**3+1/20*ln(a**2+x**2-1/2*a*x*(5**(1/2)+1))*(-5**(1/2)+1)/a**3+1/20*ln(a**2+x**2-1/2*a*x*(-5**(1/2)+1))*(5**(1/2)+1)/a**3+1/10*atan((-4*x+a*(-5**(1/2)+1))/a/(10+2*5**(1/2))**(1/2))*(10-2*5**(1/2))**(1/2)/a**3-1/10*atan(1/20*(-4*x+a*(5**(1/2)+1))*(50+10*5**(1/2))**(1/2)/a)*(10+2*5**(1/2))**(1/2)/a**3"],
["x**2/(a**5+x**5)",x,6,"1/5*ln(a+x)/a**2-1/20*ln(a**2+x**2-1/2*a*x*(5**(1/2)+1))*(-5**(1/2)+1)/a**2-1/20*ln(a**2+x**2-1/2*a*x*(-5**(1/2)+1))*(5**(1/2)+1)/a**2+1/10*atan((-4*x+a*(-5**(1/2)+1))/a/(10+2*5**(1/2))**(1/2))*(10-2*5**(1/2))**(1/2)/a**2-1/10*atan(1/20*(-4*x+a*(5**(1/2)+1))*(50+10*5**(1/2))**(1/2)/a)*(10+2*5**(1/2))**(1/2)/a**2"],
["x**3/(a**5+x**5)",x,6,"-1/5*ln(a+x)/a+1/20*ln(a**2+x**2-1/2*a*x*(-5**(1/2)+1))*(-5**(1/2)+1)/a+1/20*ln(a**2+x**2-1/2*a*x*(5**(1/2)+1))*(5**(1/2)+1)/a-1/10*atan(1/20*(-4*x+a*(5**(1/2)+1))*(50+10*5**(1/2))**(1/2)/a)*(10-2*5**(1/2))**(1/2)/a-1/10*atan((-4*x+a*(-5**(1/2)+1))/a/(10+2*5**(1/2))**(1/2))*(10+2*5**(1/2))**(1/2)/a"],
["x**4/(a**5+x**5)",x,1,"1/5*ln(a**5+x**5)"],
["1/x/(a**5+x**5)",x,4,"ln(x)/a**5-1/5*ln(a**5+x**5)/a**5"],
["1/x**2/(a**5+x**5)",x,7,"-1/a**5/x+1/5*ln(a+x)/a**6-1/20*ln(a**2+x**2-1/2*a*x*(-5**(1/2)+1))*(-5**(1/2)+1)/a**6-1/20*ln(a**2+x**2-1/2*a*x*(5**(1/2)+1))*(5**(1/2)+1)/a**6+1/10*atan(1/20*(-4*x+a*(5**(1/2)+1))*(50+10*5**(1/2))**(1/2)/a)*(10-2*5**(1/2))**(1/2)/a**6+1/10*atan((-4*x+a*(-5**(1/2)+1))/a/(10+2*5**(1/2))**(1/2))*(10+2*5**(1/2))**(1/2)/a**6"],
["1/x**3/(a**5+x**5)",x,7,"-1/2/a**5/x**2-1/5*ln(a+x)/a**7+1/20*ln(a**2+x**2-1/2*a*x*(5**(1/2)+1))*(-5**(1/2)+1)/a**7+1/20*ln(a**2+x**2-1/2*a*x*(-5**(1/2)+1))*(5**(1/2)+1)/a**7-1/10*atan((-4*x+a*(-5**(1/2)+1))/a/(10+2*5**(1/2))**(1/2))*(10-2*5**(1/2))**(1/2)/a**7+1/10*atan(1/20*(-4*x+a*(5**(1/2)+1))*(50+10*5**(1/2))**(1/2)/a)*(10+2*5**(1/2))**(1/2)/a**7"],
["1/x**4/(a**5+x**5)",x,7,"-1/3/a**5/x**3+1/5*ln(a+x)/a**8-1/20*ln(a**2+x**2-1/2*a*x*(5**(1/2)+1))*(-5**(1/2)+1)/a**8-1/20*ln(a**2+x**2-1/2*a*x*(-5**(1/2)+1))*(5**(1/2)+1)/a**8-1/10*atan((-4*x+a*(-5**(1/2)+1))/a/(10+2*5**(1/2))**(1/2))*(10-2*5**(1/2))**(1/2)/a**8+1/10*atan(1/20*(-4*x+a*(5**(1/2)+1))*(50+10*5**(1/2))**(1/2)/a)*(10+2*5**(1/2))**(1/2)/a**8"],
["1/(x**m)/(a**5+x**5)",x,1,"x**(1-m)*hyper([1, 1/5-1/5*m],[6/5-1/5*m],-x**5/a**5)/a**5/(1-m)"],
["(x**4+1)/(x**6+1)",x,22,"2/3*atan(x)+1/3*atan(2*x-3**(1/2))+1/3*atan(2*x+3**(1/2))"],
["1/(x**2+3*x+5)**3",x,4,"1/22*(3+2*x)/(x**2+3*x+5)**2+3/121*(3+2*x)/(x**2+3*x+5)+12/1331*atan(1/11*(3+2*x)*11**(1/2))*11**(1/2)"],
["(x**4+x**2+1)/(x**2+1)**4",x,4,"1/6*x/(x**2+1)**3-1/24*x/(x**2+1)**2+7/16*x/(x**2+1)+7/16*atan(x)"],
["(A*x+B)/(a*x**2+2*b*x+c)**2",x,3,"1/2*(-b*B+A*c+(A*b-B*a)*x)/(-a*c+b**2)/(a*x**2+2*b*x+c)-1/2*(A*b-B*a)*atanh((a*x+b)/(-a*c+b**2)**(1/2))/(-a*c+b**2)**(3/2)"],
["(5*x**3-27*x**2+55*x-41)/(x**2-4*x+5)**2",x,5,"(1-x)/(x**2-4*x+5)+2*atan(-2+x)+5/2*ln(x**2-4*x+5)"],
["1/(x**3-1)**2",x,7,"1/3*x/(-x**3+1)-2/9*ln(1-x)+1/9*ln(x**2+x+1)+2/9*atan(1/3*(1+2*x)*3**(1/2))*3**(1/2)"],
["(3*x**4+4)/x**2/(x**2+1)**3",x,4,"-4/x-7/4*x/(x**2+1)**2-25/8*x/(x**2+1)-57/8*atan(x)"],
["x/(x**6+1)",x,7,"1/6*ln(x**2+1)-1/12*ln(x**4-x**2+1)-1/6*atan(1/3*(-2*x**2+1)*3**(1/2))*3**(1/2)"],
["(-1+x**(-1+n))/(-n*x+x**n)",x,5,"ln(-n*x+x**n)/n"],
["x**3/(3*x**4-2*x**2+1)",x,5,"1/12*ln(3*x**4-2*x**2+1)-1/12*atan(1/2*(-3*x**2+1)*2**(1/2))*2**(1/2)"],
["x**5/(3*x**4+x**2-4)",x,5,"1/6*x**2+1/14*ln(-x**2+1)-8/63*ln(3*x**2+4)"],
["x**2/(x**6-10*x**3+9)",x,4,"-1/24*ln(-x**3+1)+1/24*ln(-x**3+9)"],
["(x**3-4*x**2+1)/(-2+x)**4",x,2,"-7/3/(2-x)**3+2/(2-x)**2+2/(2-x)+ln(2-x)"],
["x**3/(-1+x)**12",x,2,"1/11/(1-x)**11-3/10/(1-x)**10+1/3/(1-x)**9-1/8/(1-x)**8"],
["(x**4-3*x)/(1+2*x)**5",x,3,"-25/128/(1+2*x)**4+7/24/(1+2*x)**3-3/32/(1+2*x)**2+1/8/(1+2*x)+1/32*ln(1+2*x)"],
["1/(-1+x)**2/(1+x)**3",x,3,"1/8/(1-x)-1/8/(1+x)**2-1/4/(1+x)+3/8*atanh(x)"],
["1/(5-6*x)**2/x**2",x,2,"6/25/(5-6*x)-1/25/x-12/125*ln(5-6*x)+12/125*ln(x)"],
["1/(x**2-2*x-3)**3",x,5,"1/16*(1-x)/(-x**2+2*x+3)**2+3/128*(1-x)/(-x**2+2*x+3)+3/512*ln(3-x)-3/512*ln(1+x)"],
["1/(x**2-4*x+13)**3",x,4,"1/36*(-2+x)/(x**2-4*x+13)**2+1/216*(-2+x)/(x**2-4*x+13)+1/648*atan(-2/3+1/3*x)"],
["1/(2+x)**3/(3+x)**4",x,2,"-1/2/(2+x)**2+4/(2+x)+1/3/(3+x)**3+3/2/(3+x)**2+6/(3+x)+10*ln(2+x)-10*ln(3+x)"],
["x**6/(x**2-2)**2",x,4,"4*x+1/3*x**3-2*x/(x**2-2)-5*atanh(1/2*x*2**(1/2))*2**(1/2)"],
["x**8/(x**2+4)**4",x,5,"35/16*x-1/6*x**7/(x**2+4)**3-7/24*x**5/(x**2+4)**2-35/48*x**3/(x**2+4)-35/8*atan(1/2*x)"],
["(-4+7*x)/(3*x**2+2*x+5)**2",x,3,"1/28*(-39-19*x)/(3*x**2+2*x+5)-19/392*atan(1/14*(1+3*x)*14**(1/2))*14**(1/2)"],
["(5-4*x)/(3*x**2-4*x-2)**2",x,3,"1/20*(-18+7*x)/(-3*x**2+4*x+2)-7/200*atanh(1/10*(2-3*x)*10**(1/2))*10**(1/2)"],
["x**5/(x**4+1)**3",x,4,"-1/8*x**2/(x**4+1)**2+1/16*x**2/(x**4+1)+1/16*atan(x**2)"],
["x*(x**2+1)**3/(x**4+2*x**2+2)**2",x,3,"1/4/(x**4+2*x**2+2)+1/4*ln(x**4+2*x**2+2)"],
["x**3/(a**4+x**4)**3",x,1,"-1/8/(a**4+x**4)**2"],
["1/x/(a**4+x**4)**3",x,3,"1/8/a**4/(a**4+x**4)**2+1/4/a**8/(a**4+x**4)+ln(x)/a**12-1/4*ln(a**4+x**4)/a**12"],
["1/x**2/(a**4+x**4)**3",x,12,"-45/32/a**12/x+1/8/a**4/x/(a**4+x**4)**2+9/32/a**8/x/(a**4+x**4)+45/128*atan(1-x*2**(1/2)/a)/a**13*2**(1/2)-45/128*atan(1+x*2**(1/2)/a)/a**13*2**(1/2)-45/256*ln(a**2+x**2-a*x*2**(1/2))/a**13*2**(1/2)+45/256*ln(a**2+x**2+a*x*2**(1/2))/a**13*2**(1/2)"],
["1/x**3/(a**4+x**4)**3",x,5,"-15/16/a**12/x**2+1/8/a**4/x**2/(a**4+x**4)**2+5/16/a**8/x**2/(a**4+x**4)-15/16*atan(x**2/a**2)/a**14"],
["x**14/(2*x**5+3)**3",x,3,"-9/80/(2*x**5+3)**2+3/20/(2*x**5+3)+1/40*ln(2*x**5+3)"],
["x**6/(2*x**5+3)**3",x,8,"-1/20*x**2/(2*x**5+3)**2+1/150*x**2/(2*x**5+3)-1/1500*ln(3**(1/5)+2**(1/5)*x)*2**(3/5)*3**(2/5)+1/6000*ln(2**(3/5)*3**(2/5)+2*x**2-1/2*3**(1/5)*2**(4/5)*x*(5**(1/2)+1))*(-5**(1/2)+1)*2**(3/5)*3**(2/5)+1/6000*ln(2**(3/5)*3**(2/5)+2*x**2-1/2*3**(1/5)*2**(4/5)*x*(-5**(1/2)+1))*(5**(1/2)+1)*2**(3/5)*3**(2/5)-1/1500*atan(1/5*(25-10*5**(1/2))**(1/2)+2/3*2**(7/10)*x*3**(4/5)/(5+5**(1/2))**(1/2))*(5-5**(1/2))**(1/2)*2**(1/10)*3**(2/5)+1/1500*atan(2/3*2**(7/10)*x*3**(4/5)/(5-5**(1/2))**(1/2)-1/5*(25+10*5**(1/2))**(1/2))*(5+5**(1/2))**(1/2)*2**(1/10)*3**(2/5)"],
["9/5/x**2/(-2*x**2+3)**3",x,5,"-1/8/x+3/20/x/(-2*x**2+3)**2+1/8/x/(-2*x**2+3)+1/24*atanh(1/3*x*6**(1/2))*6**(1/2)"],
["(3*x**4+4)/x**2/(x**2+1)**3",x,4,"-4/x-7/4*x/(x**2+1)**2-25/8*x/(x**2+1)-57/8*atan(x)"],
["(-x**4+5*x**3+6*x**2-3*x+5)/(x**5-x**4-2*x**3+2*x**2+x-1)",x,2,"-3/2/(1-x)**2+2/(1-x)+1/(1+x)+ln(1-x)-2*ln(1+x)"],
["(x**2+1)/x/(x**3+1)**2",x,7,"1/3*x*(-x**2+x)/(x**3+1)+ln(x)-4/9*ln(1+x)-5/18*ln(x**2-x+1)-1/9*atan(1/3*(1-2*x)*3**(1/2))*3**(1/2)"],
["(x**2-3*x-2)/(1+x)**2/(x**2+x+1)**2",x,7,"-2/(1+x)+1/3*(-7-5*x)/(x**2+x+1)-ln(1+x)+1/2*ln(x**2+x+1)-25/9*atan(1/3*(1+2*x)*3**(1/2))*3**(1/2)"],
["1/(1-4*x)**3/(2-3*x)",x,2,"1/10/(1-4*x)**2-3/25/(1-4*x)-9/125*ln(1-4*x)+9/125*ln(2-3*x)"],
["x**3/(-5*x**2+2)**7",x,3,"1/150/(-5*x**2+2)**6-1/250/(-5*x**2+2)**5"],
["x**7/(-5*x**2+2)**3",x,3,"-1/250*x**2+2/625/(-5*x**2+2)**2-6/625/(-5*x**2+2)-3/625*ln(-5*x**2+2)"],
["1/(-2+x)**3/(1+x)**2",x,2,"-1/18/(-2+x)**2+2/27/(-2+x)+1/27/(1+x)+1/27*ln(-2+x)-1/27*ln(1+x)"],
["1/(2+x)**3/(3+x)**4",x,2,"-1/2/(2+x)**2+4/(2+x)+1/3/(3+x)**3+3/2/(3+x)**2+6/(3+x)+10*ln(2+x)-10*ln(3+x)"],
["x**5/(3+x)**2",x,2,"-108*x+27/2*x**2-2*x**3+1/4*x**4+243/(3+x)+405*ln(3+x)"],
["(c1*x+b1)*(c*x**2+2*b*x+a)",x,2,"a*b1*x+1/2*(a*c1+2*b*b1)*x**2+1/3*(2*b*c1+b1*c)*x**3+1/4*c*c1*x**4"],
["(c1*x+b1)*(c*x**2+2*b*x+a)**2",x,2,"a**2*b1*x+1/2*a*(a*c1+4*b*b1)*x**2+2/3*(2*a*b*c1+a*b1*c+2*b**2*b1)*x**3+1/2*(a*c*c1+2*b**2*c1+2*b*b1*c)*x**4+1/5*c*(4*b*c1+b1*c)*x**5+1/6*c**2*c1*x**6"],
["(c1*x+b1)*(c*x**2+2*b*x+a)**3",x,2,"a**3*b1*x+1/2*a**2*(a*c1+6*b*b1)*x**2+a*(2*a*b*c1+a*b1*c+4*b**2*b1)*x**3+1/4*(3*a**2*c*c1+12*a*b**2*c1+12*a*b*b1*c+8*b**3*b1)*x**4+1/5*(12*a*b*c*c1+3*a*b1*c**2+8*b**3*c1+12*b**2*b1*c)*x**5+1/2*c*(a*c*c1+4*b**2*c1+2*b*b1*c)*x**6+1/7*c**2*(6*b*c1+b1*c)*x**7+1/8*c**3*c1*x**8"],
["(c1*x+b1)*(c*x**2+2*b*x+a)**4",x,2,"a**4*b1*x+1/2*a**3*(a*c1+8*b*b1)*x**2+4/3*a**2*(2*a*b*c1+a*b1*c+6*b**2*b1)*x**3+a*(a**2*c*c1+6*a*b**2*c1+6*a*b*b1*c+8*b**3*b1)*x**4+2/5*(12*a**2*b*c*c1+3*a**2*b1*c**2+16*a*b**3*c1+24*a*b**2*b1*c+8*b**4*b1)*x**5+1/3*(3*a**2*c**2*c1+24*a*b**2*c*c1+12*a*b*b1*c**2+8*b**4*c1+16*b**3*b1*c)*x**6+4/7*c*(6*a*b*c*c1+a*b1*c**2+8*b**3*c1+6*b**2*b1*c)*x**7+1/2*c**2*(a*c*c1+6*b**2*c1+2*b*b1*c)*x**8+1/9*c**3*(8*b*c1+b1*c)*x**9+1/10*c**4*c1*x**10"],
["(c1*x+b1)*(c*x**2+2*b*x+a)**n",x,2,"1/2*c1*(c*x**2+2*b*x+a)**(1+n)/c/(1+n)-2**n*(-b*c1+b1*c)*(c*x**2+2*b*x+a)**(1+n)*hyper([-n, 1+n],[2+n],1/2*(b+c*x+(-a*c+b**2)**(1/2))/(-a*c+b**2)**(1/2))*((-b-c*x+(-a*c+b**2)**(1/2))/(-a*c+b**2)**(1/2))**(-1-n)/c/(1+n)/(-a*c+b**2)**(1/2)"],
["(c1*x+b1)/(c*x**2+2*b*x+a)",x,4,"1/2*c1*ln(c*x**2+2*b*x+a)/c-(-b*c1+b1*c)*atanh((c*x+b)/(-a*c+b**2)**(1/2))/c/(-a*c+b**2)**(1/2)"],
["(c1*x+b1)/(c*x**2+2*b*x+a)**2",x,3,"1/2*(-b*b1+a*c1-(-b*c1+b1*c)*x)/(-a*c+b**2)/(c*x**2+2*b*x+a)+1/2*(-b*c1+b1*c)*atanh((c*x+b)/(-a*c+b**2)**(1/2))/(-a*c+b**2)**(3/2)"],
["(c1*x+b1)/(c*x**2+2*b*x+a)**3",x,4,"1/4*(-b*b1+a*c1-(-b*c1+b1*c)*x)/(-a*c+b**2)/(c*x**2+2*b*x+a)**2+3/8*(-b*c1+b1*c)*(c*x+b)/(-a*c+b**2)**2/(c*x**2+2*b*x+a)-3/8*c*(-b*c1+b1*c)*atanh((c*x+b)/(-a*c+b**2)**(1/2))/(-a*c+b**2)**(5/2)"],
["(c1*x+b1)/(c*x**2+2*b*x+a)**4",x,5,"1/6*(-b*b1+a*c1-(-b*c1+b1*c)*x)/(-a*c+b**2)/(c*x**2+2*b*x+a)**3+5/24*(-b*c1+b1*c)*(c*x+b)/(-a*c+b**2)**2/(c*x**2+2*b*x+a)**2-5/16*c*(-b*c1+b1*c)*(c*x+b)/(-a*c+b**2)**3/(c*x**2+2*b*x+a)+5/16*c**2*(-b*c1+b1*c)*atanh((c*x+b)/(-a*c+b**2)**(1/2))/(-a*c+b**2)**(7/2)"],
["(c1*x+b1)/((c*x**2+2*b*x+a)**n)",x,2,"1/2*c1*(c*x**2+2*b*x+a)**(1-n)/c/(1-n)-(-b*c1+b1*c)*(c*x**2+2*b*x+a)**(1-n)*hyper([n, 1-n],[2-n],1/2*(b+c*x+(-a*c+b**2)**(1/2))/(-a*c+b**2)**(1/2))*((-b-c*x+(-a*c+b**2)**(1/2))/(-a*c+b**2)**(1/2))**(-1+n)/(2**n)/c/(1-n)/(-a*c+b**2)**(1/2)"],
["x/(2*x**2+6*x+3)",x,3,"1/4*ln(3+2*x-3**(1/2))*(1-3**(1/2))+1/4*ln(3+2*x+3**(1/2))*(1+3**(1/2))"],
["(-3+2*x)/(2*x**2+6*x+3)**3",x,4,"1/4*(5+4*x)/(2*x**2+6*x+3)**2+1/2*(-3-2*x)/(2*x**2+6*x+3)+1/3*atanh(1/3*(3+2*x)*3**(1/2))*3**(1/2)"],
["(-1+x)/(x**2+5*x+4)**2",x,4,"1/9*(13+7*x)/(x**2+5*x+4)+7/27*ln(1+x)-7/27*ln(4+x)"],
["1/(x**2+3*x+2)**5",x,7,"1/4*(-3-2*x)/(x**2+3*x+2)**4+7/6*(3+2*x)/(x**2+3*x+2)**3-35/6*(3+2*x)/(x**2+3*x+2)**2+35*(3+2*x)/(x**2+3*x+2)+70*ln(1+x)-70*ln(2+x)"],
["1/x**3/(2*x**2-6*x+7)**2",x,7,"-1/490/x**2-69/1715/x+1/35*(-2+3*x)/x**2/(2*x**2-6*x+7)+80/2401*ln(x)-40/2401*ln(2*x**2-6*x+7)-234/60025*atan(1/5*(3-2*x)*5**(1/2))*5**(1/2)"],
["x**9/(x**2+3*x+2)**5",x,8,"735*x+1/4*x**8*(4+3*x)/(x**2+3*x+2)**4-1/12*x**6*(110+81*x)/(x**2+3*x+2)**3+1/2*x**4*(184+135*x)/(x**2+3*x+2)**2-1/2*x**2*(2206+1593*x)/(x**2+3*x+2)-1471*ln(1+x)+1472*ln(2+x)"],
["(1+2*x)**2/(2*x**2+5*x+3)**5",x,7,"1/4*(1+2*x)*(7+6*x)/(2*x**2+5*x+3)**4+1/3*(73+62*x)/(2*x**2+5*x+3)**3-155/3*(5+4*x)/(2*x**2+5*x+3)**2+620*(5+4*x)/(2*x**2+5*x+3)+2480*ln(1+x)-2480*ln(3+2*x)"],
["(-b*x**2+a)**3/x**7",x,3,"-1/6*a**3/x**6+3/4*a**2*b/x**4-3/2*a*b**2/x**2-b**3*ln(x)"],
["x**13/(a**4+x**4)**5",x,6,"-1/16*x**10/(a**4+x**4)**4-5/96*x**6/(a**4+x**4)**3-5/128*x**2/(a**4+x**4)**2+5/256*x**2/a**4/(a**4+x**4)+5/256*atan(x**2/a**2)/a**6"],
["x**(3/2)*(x**2+1)*(-x+2*x**(1/2))**2",x,9,"8/7*x**(7/2)-x**4+2/9*x**(9/2)+8/11*x**(11/2)-2/3*x**6+2/13*x**(13/2)"],
["(-3*x**(3/5)+x**(3/2))**2*(-1/3*x**(2/3)+4*x**(3/2))",x,5,"-45/43*x**(43/15)+360/37*x**(37/10)+60/113*x**(113/30)-120/23*x**(23/5)-1/14*x**(14/3)+8/11*x**(11/2)"],
["1/(1+(1+x)**(1/2))",x,4,"-2*ln(1+(1+x)**(1/2))+2*(1+x)**(1/2)"],
["x/(1+(1+x)**(1/2))",x,2,"-x+2/3*(1+x)**(3/2)"],
["(1+(1+x)**(1/2))/(-1+(1+x)**(1/2))",x,4,"x+4*ln(1-(1+x)**(1/2))+4*(1+x)**(1/2)"],
["1/((1+x)**(2/3)-(1+x)**(1/2))",x,5,"6*(1+x)**(1/6)+3*(1+x)**(1/3)+6*ln(1-(1+x)**(1/6))"],
["(1+x**(1/4))**(1/3)/x**(1/2)",x,3,"-3*(1+x**(1/4))**(4/3)+12/7*(1+x**(1/4))**(7/3)"],
["1/x**3/(1+x)**(3/2)",x,5,"-15/4*atanh((1+x)**(1/2))+15/4/(1+x)**(1/2)-1/2/x**2/(1+x)**(1/2)+5/4/x/(1+x)**(1/2)"],
["1/(1-x)**(7/2)/x**5",x,9,"3003/320/(1-x)**(5/2)+1001/64/(1-x)**(3/2)-1/4/(1-x)**(5/2)/x**4-13/24/(1-x)**(5/2)/x**3-143/96/(1-x)**(5/2)/x**2-429/64/(1-x)**(5/2)/x-3003/64*atanh((1-x)**(1/2))+3003/64/(1-x)**(1/2)"],
["1/(-1+x)**(2/3)/x**5",x,8,"1/4*(-1+x)**(1/3)/x**4+11/36*(-1+x)**(1/3)/x**3+11/27*(-1+x)**(1/3)/x**2+55/81*(-1+x)**(1/3)/x+55/81*ln(1+(-1+x)**(1/3))-55/243*ln(x)-110/243*atan(1/3*(1-2*(-1+x)**(1/3))*3**(1/2))*3**(1/2)"],
["((1-x)/(1+x))**(1/2)",x,3,"-2*atan(((1-x)/(1+x))**(1/2))+(1+x)*((1-x)/(1+x))**(1/2)"],
["x*((-a+x)/(b-x))**(1/2)",x,4,"-1/4*(a-b)*(a+3*b)*atan(((-a+x)/(b-x))**(1/2))+1/4*(a-5*b)*(b-x)*((-a+x)/(b-x))**(1/2)+1/2*(b-x)**2*((-a+x)/(b-x))**(1/2)"],
["(-5+x)**(1/2)*(3+x)**(1/2)/(-1+x)/(x**2-25)",x,6,"1/6*atan(1/4*(-5+x)**(1/2)*(3+x)**(1/2))+1/15*atanh(5**(1/2)*(3+x)**(1/2)/(-5+x)**(1/2))*5**(1/2)"],
["x**2*(-x**2+1)**(1/4)*(1+x)**(1/2)/(1-x)**(1/2)/((1-x)**(1/2)-(1+x)**(1/2))",x,33,"5/16*(1-x)**(3/4)*(1+x)**(1/4)-1/16*(1-x)**(1/4)*(1+x)**(3/4)+1/24*(1-x)**(5/4)*(1+x)**(3/4)+3/16*atan(-1+(1-x)**(1/4)*2**(1/2)/(1+x)**(1/4))*2**(1/2)+3/16*atan(1+(1-x)**(1/4)*2**(1/2)/(1+x)**(1/4))*2**(1/2)+1/16*ln(1-(1-x)**(1/4)*2**(1/2)/(1+x)**(1/4)+(1-x)**(1/2)/(1+x)**(1/2))*2**(1/2)-1/16*ln(1+(1-x)**(1/4)*2**(1/2)/(1+x)**(1/4)+(1-x)**(1/2)/(1+x)**(1/2))*2**(1/2)+7/24*(-x**2+1)**(5/4)/(1-x)**(1/2)+1/6*x*(-x**2+1)**(5/4)/(1-x)**(1/2)+1/6*(-x**2+1)**(5/4)*(1+x)**(1/2)"],
["x*(1+x)**(2/3)*(1-x)**(1/2)/(-(1-x)**(5/6)*(1+x)**(1/3)+(1-x)**(2/3)*(1+x)**(1/2))",x,-4,"-1/12*(1-3*x)*(1-x)**(2/3)*(1+x)**(1/3)-1/4*(1-x)*(3+x)+1/12*(1-x)**(1/3)*(1+x)**(2/3)*(1+3*x)+1/12*(1-x)**(1/6)*(1+x)**(5/6)*(2+3*x)-1/12*(1-x)**(5/6)*(1+x)**(1/6)*(10+3*x)+1/6*atan((1+x)**(1/6)/(1-x)**(1/6))-5/6*atan(((1-x)**(1/3)-(1+x)**(1/3))/(1-x)**(1/6)/(1+x)**(1/6))-4/9*atan(1/3*((1-x)**(1/3)-2*(1+x)**(1/3))/(1-x)**(1/3)*3**(1/2))*3**(1/2)+1/18*atanh((1-x)**(1/6)*(1+x)**(1/6)*3**(1/2)/((1-x)**(1/3)+(1+x)**(1/3)))*3**(1/2)+1/4*x*(1-x)**(1/2)*(1+x)**(1/2)"],
["1/((-1+x)**4*(1+x)**2)**(1/3)",x,2,"-3/2*(-1+x)*(1+x)/((-1+x)**4*(1+x)**2)**(1/3)"],
["1/((-1+x)**3*(2+x)**5)**(1/4)",x,2,"4/3*(-1+x)*(2+x)/((-1+x)**3*(2+x)**5)**(1/4)"],
["1/((-1+x)**7*(1+x)**2)**(1/3)",x,3,"-3/8*(-1+x)*(1+x)/((-1+x)**7*(1+x)**2)**(1/3)+9/16*(-1+x)**2*(1+x)/((-1+x)**7*(1+x)**2)**(1/3)"],
["1/((-1+x)**2*(1+x))**(1/3)",x,-3,"-1/2*ln(1+x)-3/2*ln(1+(1-x)/((-1+x)**2*(1+x))**(1/3))+atan(1/3*(1+2*(-1+x)/((-1+x)**2*(1+x))**(1/3))*3**(1/2))*3**(1/2)"],
["(1/x+x)/((-2+x)*(1+x)**3)**(1/2)",x,9,"-4/3*(-2+x)*(1+x)/((-2+x)*(1+x)**3)**(1/2)+2*(1+x)**(3/2)*asinh(1/3*(-2+x)**(1/2)*3**(1/2))*(-2+x)**(1/2)/((-2+x)*(1+x)**3)**(1/2)-(1+x)**(3/2)*atan(2**(1/2)*(1+x)**(1/2)/(-2+x)**(1/2))*2**(1/2)*(-2+x)**(1/2)/((-2+x)*(1+x)**3)**(1/2)"],
["((-1+x)**2*(1+x))**(1/3)/x**2",x,-6,"-((-1+x)**2*(1+x))**(1/3)/x+1/6*ln(x)-2/3*ln(1+x)-3/2*ln(1+(1-x)/((-1+x)**2*(1+x))**(1/3))-1/2*ln(1+(-1+x)/((-1+x)**2*(1+x))**(1/3))-1/3*atan(1/3*(1-2*(-1+x)/((-1+x)**2*(1+x))**(1/3))*3**(1/2))*3**(1/2)-atan(1/3*(1+2*(-1+x)/((-1+x)**2*(1+x))**(1/3))*3**(1/2))*3**(1/2)"],
["1/(x**2-2*x-3)**(5/2)",x,2,"1/12*(1-x)/(x**2-2*x-3)**(3/2)+1/24*(-1+x)/(x**2-2*x-3)**(1/2)"],
["1/(x**3-5*x**2+3*x+9)**(1/2)",x,4,"(3-x)*atanh(1/2*(1+x)**(1/2))*(1+x)**(1/2)/(x**3-5*x**2+3*x+9)**(1/2)"],
["1/(x**3-5*x**2+3*x+9)**(3/2)",x,7,"1/8*(3-x)*(1+x)/(x**3-5*x**2+3*x+9)**(3/2)+5/64*(3-x)**2*(1+x)/(x**3-5*x**2+3*x+9)**(3/2)-15/256*(3-x)**3*(1+x)/(x**3-5*x**2+3*x+9)**(3/2)+15/512*(3-x)**3*(1+x)**(3/2)*atanh(1/2*(1+x)**(1/2))/(x**3-5*x**2+3*x+9)**(3/2)"],
["1/(x**3-5*x**2+3*x+9)**(1/3)",x,-3,"-1/2*ln(1+x)-3/2*ln(1+(3-x)/(x**3-5*x**2+3*x+9)**(1/3))+atan(1/3*(1+2*(-3+x)/(x**3-5*x**2+3*x+9)**(1/3))*3**(1/2))*3**(1/2)"],
["1/(x**3-5*x**2+3*x+9)**(2/3)",x,3,"3/4*(3-x)*(1+x)/(x**3-5*x**2+3*x+9)**(2/3)"],
["1/(x**3-5*x**2+3*x+9)**(4/3)",x,5,"3/20*(3-x)*(1+x)/(x**3-5*x**2+3*x+9)**(4/3)+9/80*(3-x)**2*(1+x)/(x**3-5*x**2+3*x+9)**(4/3)-27/320*(3-x)**3*(1+x)/(x**3-5*x**2+3*x+9)**(4/3)"],
["1/(-2*x**2+3*x+4)**(1/2)",x,2,"-1/2*asin(1/41*(3-4*x)*41**(1/2))*2**(1/2)"],
["1/(-x**2+4*x-3)**(1/2)",x,2,"asin(-2+x)"],
["1/(-3*x**2-5*x-2)**(1/2)",x,2,"1/3*asin(5+6*x)*3**(1/2)"],
["1/(x**2+4)/(-x**2+1)**(1/2)",x,2,"1/10*atan(1/2*x*5**(1/2)/(-x**2+1)**(1/2))*5**(1/2)"],
["1/(x**2+4)/(4*x**2+1)**(1/2)",x,2,"1/30*atanh(1/2*x*15**(1/2)/(4*x**2+1)**(1/2))*15**(1/2)"],
["x/(-x**2+3)/(-x**2+5)**(1/2)",x,3,"1/2*atanh(1/2*(-x**2+5)**(1/2)*2**(1/2))*2**(1/2)"],
["x/(-x**2+5)/(-x**2+3)**(1/2)",x,3,"-1/2*atan(1/2*(-x**2+3)**(1/2)*2**(1/2))*2**(1/2)"],
["1/(x**4-1)/(x**2+2)**(1/2)",x,5,"-1/2*atan(x/(x**2+2)**(1/2))-1/6*atanh(x*3**(1/2)/(x**2+2)**(1/2))*3**(1/2)"],
["x/(x**2-1)/(x**2+2*x+4)**(1/2)",x,5,"-1/6*atanh(1/3*(x**2+2*x+4)**(1/2)*3**(1/2))*3**(1/2)-1/14*atanh(1/7*(5+2*x)*7**(1/2)/(x**2+2*x+4)**(1/2))*7**(1/2)"],
["1/(x**3-8)/(x**2+2*x+5)**(1/2)",x,9,"1/12*atanh((x**2+2*x+5)**(1/2))-1/12*atan(1/3*(1+x)*3**(1/2)/(x**2+2*x+5)**(1/2))*3**(1/2)-1/156*atanh(1/13*(7+3*x)*13**(1/2)/(x**2+2*x+5)**(1/2))*13**(1/2)"],
["x/(x**2+x+4)/(4*x**2+4*x+5)**(1/2)",x,5,"1/11*atan(1/11*(4*x**2+4*x+5)**(1/2)*11**(1/2))*11**(1/2)-1/165*atanh(1/15*(1+2*x)*165**(1/2)/(4*x**2+4*x+5)**(1/2))*165**(1/2)"],
["(3+x)/(x**2+1)/(x**2+x+1)**(1/2)",x,5,"-2*atan(1/2*(1-x)*2**(1/2)/(x**2+x+1)**(1/2))*2**(1/2)+atanh(1/2*(1+x)*2**(1/2)/(x**2+x+1)**(1/2))*2**(1/2)"],
["(1+2*x)/(3*x**2+4*x+4)/(x**2+6*x-1)**(1/2)",x,5,"-1/21*atanh((1+x)*7**(1/2)/(x**2+6*x-1)**(1/2))*7**(1/2)-5/84*atan(1/4*(2-x)*7**(1/2)*2**(1/2)/(x**2+6*x-1)**(1/2))*14**(1/2)"],
["(A*x+B)/(5*x**2-18*x+17)/(10*x**2-22*x+13)**(1/2)",x,5,"-1/35*(2*A+B)*atan((2-x)*35**(1/2)/(10*x**2-22*x+13)**(1/2))*35**(1/2)-1/70*(A+B)*atanh(1/2*(1-x)*35**(1/2)/(10*x**2-22*x+13)**(1/2))*35**(1/2)"],
["(-2+x)/(5*x**2-18*x+17)/(10*x**2-22*x+13)**(1/2)",x,2,"1/70*atanh(1/2*(1-x)*35**(1/2)/(10*x**2-22*x+13)**(1/2))*35**(1/2)"],
["x**4*(-x**2+5)**(1/2)",x,4,"125/16*asin(1/5*x*5**(1/2))-25/16*x*(-x**2+5)**(1/2)-5/24*x**3*(-x**2+5)**(1/2)+1/6*x**5*(-x**2+5)**(1/2)"],
["1/x**6/(x**2+2)**(1/2)",x,3,"-1/10*(x**2+2)**(1/2)/x**5+1/15*(x**2+2)**(1/2)/x**3-1/15/x*(x**2+2)**(1/2)"],
["1/(2*x**2+3)**(7/2)",x,3,"1/15*x/(2*x**2+3)**(5/2)+4/135*x/(2*x**2+3)**(3/2)+8/405*x/(2*x**2+3)**(1/2)"],
["x/(1+x**2+a*(x**2+1)**(1/2))",x,3,"ln(a+(x**2+1)**(1/2))"],
["(x**2-x+1)/(x**2+1)**(3/2)",x,2,"asinh(x)+1/(x**2+1)**(1/2)"],
["(x**2+1)**(1/2)/(x**2+2)",x,4,"asinh(x)-1/2*atanh(1/2*x*2**(1/2)/(x**2+1)**(1/2))*2**(1/2)"],
["1/(x**2+2)**2/(x**2+1)**(1/2)",x,3,"3/8*atanh(1/2*x*2**(1/2)/(x**2+1)**(1/2))*2**(1/2)-1/4*x*(x**2+1)**(1/2)/(x**2+2)"],
["x**2/(x**2-6)/(x**2-2)**(1/2)",x,5,"atanh(x/(x**2-2)**(1/2))-1/2*atanh(1/3*x*6**(1/2)/(x**2-2)**(1/2))*6**(1/2)"],
["(x**2+5)/(x**2+1)**2/(-x**2+1)**(1/2)",x,4,"2*atan(x*2**(1/2)/(-x**2+1)**(1/2))*2**(1/2)+x*(-x**2+1)**(1/2)/(x**2+1)"],
["(4*x-(-x**2+1)**(1/2))/(5+(-x**2+1)**(1/2))",x,15,"-x+5*asin(x)+20*ln(5+(-x**2+1)**(1/2))+25/12*atan(1/12*x*6**(1/2))*6**(1/2)-25/12*atan(5/12*x*6**(1/2)/(-x**2+1)**(1/2))*6**(1/2)-4*(-x**2+1)**(1/2)"],
["x**2*(2-(x**2+1)**(1/2))/(1-x**3+(x**2+1)**(3/2))/(x**2+1)**(1/2)",x,32,"8/9*x-1/6*x**2-41/54*asinh(x)+7/27*atanh(1/2*(1-x)/(x**2+1)**(1/2))-7/54*ln(3*x**2+2*x+3)+4/27*atan(1/4*(1+3*x)*2**(1/2))*2**(1/2)+4/27*atan(1/2*(1+x)*2**(1/2)/(x**2+1)**(1/2))*2**(1/2)+8/9*(x**2+1)**(1/2)-1/6*x*(x**2+1)**(1/2)"],
["x*(2*r*x-x**2)**(1/2)",x,4,"-1/3*(2*r*x-x**2)**(3/2)+r**3*atan(x/(2*r*x-x**2)**(1/2))-1/2*r*(r-x)*(2*r*x-x**2)**(1/2)"],
["x**2*(2*r*x-x**2)**(1/2)",x,5,"-5/12*r*(2*r*x-x**2)**(3/2)-1/4*x*(2*r*x-x**2)**(3/2)+5/4*r**4*atan(x/(2*r*x-x**2)**(1/2))-5/8*r**2*(r-x)*(2*r*x-x**2)**(1/2)"],
["x**3*(2*r*x-x**2)**(1/2)",x,6,"-7/12*r**2*(2*r*x-x**2)**(3/2)-7/20*r*x*(2*r*x-x**2)**(3/2)-1/5*x**2*(2*r*x-x**2)**(3/2)+7/4*r**5*atan(x/(2*r*x-x**2)**(1/2))-7/8*r**3*(r-x)*(2*r*x-x**2)**(1/2)"],
["1/(x**2-1)/(x**2+2*x)**(1/2)",x,5,"-1/2*atan((x**2+2*x)**(1/2))-1/6*atanh(1/3*(1+2*x)*3**(1/2)/(x**2+2*x)**(1/2))*3**(1/2)"],
["(-2+3*x)/(1+x)**3/(-x**2+2*x)**(1/2)",x,4,"1/6*atan(1/3*(1-2*x)*3**(1/2)/(-x**2+2*x)**(1/2))*3**(1/2)-5/6*(-x**2+2*x)**(1/2)/(1+x)**2-2/3*(-x**2+2*x)**(1/2)/(1+x)"],
["1/(x**2+x+1)**(1/2)",x,2,"asinh(1/3*(1+2*x)*3**(1/2))"],
["x**3/(x**2+x+1)**(1/2)",x,4,"7/16*asinh(1/3*(1+2*x)*3**(1/2))+1/3*x**2*(x**2+x+1)**(1/2)-1/24*(1+10*x)*(x**2+x+1)**(1/2)"],
["1/(x**2+x+1)**(3/2)",x,1,"2/3*(1+2*x)/(x**2+x+1)**(1/2)"],
["x/(x**2+x+1)**(3/2)",x,1,"-2/3*(2+x)/(x**2+x+1)**(1/2)"],
["x**3/(x**2+x+1)**(3/2)",x,4,"-3/2*asinh(1/3*(1+2*x)*3**(1/2))-2/3*x**2*(2+x)/(x**2+x+1)**(1/2)+1/3*(5+2*x)*(x**2+x+1)**(1/2)"],
["x**2*(x**2+x+1)**(1/2)",x,5,"-5/24*(x**2+x+1)**(3/2)+1/4*x*(x**2+x+1)**(3/2)+3/128*asinh(1/3*(1+2*x)*3**(1/2))+1/64*(1+2*x)*(x**2+x+1)**(1/2)"],
["(x**2+x+1)**(3/2)",x,4,"1/8*(1+2*x)*(x**2+x+1)**(3/2)+27/128*asinh(1/3*(1+2*x)*3**(1/2))+9/64*(1+2*x)*(x**2+x+1)**(1/2)"],
["(x**2+x+1)**(5/2)",x,5,"5/64*(1+2*x)*(x**2+x+1)**(3/2)+1/12*(1+2*x)*(x**2+x+1)**(5/2)+135/1024*asinh(1/3*(1+2*x)*3**(1/2))+45/512*(1+2*x)*(x**2+x+1)**(1/2)"],
["1/x**2/(x**2+x+1)**(1/2)",x,3,"1/2*atanh(1/2*(2+x)/(x**2+x+1)**(1/2))-(x**2+x+1)**(1/2)/x"],
["1/x**3/(x**2+x+1)**(1/2)",x,4,"1/8*atanh(1/2*(2+x)/(x**2+x+1)**(1/2))-1/2*(x**2+x+1)**(1/2)/x**2+3/4*(x**2+x+1)**(1/2)/x"],
["1/x**2/(x**2+x+1)**(3/2)",x,4,"3/2*atanh(1/2*(2+x)/(x**2+x+1)**(1/2))+2/3*(1-x)/x/(x**2+x+1)**(1/2)-5/3*(x**2+x+1)**(1/2)/x"],
["1/x**3/(x**2+x+1)**(3/2)",x,5,"-3/8*atanh(1/2*(2+x)/(x**2+x+1)**(1/2))+2/3*(1-x)/x**2/(x**2+x+1)**(1/2)-7/6*(x**2+x+1)**(1/2)/x**2+37/12*(x**2+x+1)**(1/2)/x"],
["1/(1+x)/(x**2+x+1)**(1/2)",x,2,"-atanh(1/2*(1-x)/(x**2+x+1)**(1/2))"],
["1/(x**3-x)/(x**2+2*x+4)**(1/2)",x,10,"1/2*atanh(1/2*(4+x)/(x**2+2*x+4)**(1/2))-1/6*atanh(1/3*(x**2+2*x+4)**(1/2)*3**(1/2))*3**(1/2)-1/14*atanh(1/7*(5+2*x)*7**(1/2)/(x**2+2*x+4)**(1/2))*7**(1/2)"],
["(x**2+2*x+4)**(1/2)/(-1+x)**2",x,6,"asinh(1/3*(1+x)*3**(1/2))-2/7*atanh(1/7*(5+2*x)*7**(1/2)/(x**2+2*x+4)**(1/2))*7**(1/2)+(x**2+2*x+4)**(1/2)/(1-x)"],
["(3+2*x)/(x**2+2*x+3)**2/(x**2+2*x+4)**(1/2)",x,6,"atanh((x**2+2*x+4)**(1/2))-1/8*atan(1/2*(1+x)*2**(1/2)/(x**2+2*x+4)**(1/2))*2**(1/2)-1/4*(3-x)*(x**2+2*x+4)**(1/2)/(x**2+2*x+3)"],
["(2*x**3+3*x**2)/(2*x**2+x-3)/(x**2+2*x-3)**(1/2)",x,4,"(x**2+2*x-3)**(1/2)+1/2*(x**2+2*x-3)**(1/2)/(1-x)"],
["(x**4+1)/(x**2+x+1)/(x**2+x+2)**(1/2)",x,14,"-1/8*asinh(1/7*(1+2*x)*7**(1/2))-atanh((x**2+x+2)**(1/2))+1/3*atan(1/3*(1+2*x)*3**(1/2)/(x**2+x+2)**(1/2))*3**(1/2)-7/4*(x**2+x+2)**(1/2)+1/2*x*(x**2+x+2)**(1/2)"],
["1/(x**2+2*x+4)**(7/2)",x,3,"1/15*(1+x)/(x**2+2*x+4)**(5/2)+4/135*(1+x)/(x**2+2*x+4)**(3/2)+8/405*(1+x)/(x**2+2*x+4)**(1/2)"],
["1/(3*x**2+8*x+1)**(5/2)",x,2,"1/39*(-4-3*x)/(3*x**2+8*x+1)**(3/2)+2/169*(4+3*x)/(3*x**2+8*x+1)**(1/2)"],
["1/(-3*x**2+4*x+5)**(5/2)",x,2,"1/57*(-2+3*x)/(-3*x**2+4*x+5)**(3/2)-2/361*(2-3*x)/(-3*x**2+4*x+5)**(1/2)"],
["1/(1+(x**2+2*x+2)**(1/2))",x,5,"1/(1+x)+asinh(1+x)-(x**2+2*x+2)**(1/2)/(1+x)"],
["1/(x+(x**2+x+1)**(1/2))",x,-3,"-x-3/2*asinh(1/3*(1+2*x)*3**(1/2))+2*ln(x+(x**2+x+1)**(1/2))+(x**2+x+1)**(1/2)"],
["x**2/(1+2*x+2*(x**2+x+1)**(1/2))",x,7,"-1/9*x**3-1/6*x**4-5/36*(x**2+x+1)**(3/2)+1/6*x*(x**2+x+1)**(3/2)+1/64*asinh(1/3*(1+2*x)*3**(1/2))+1/96*(1+2*x)*(x**2+x+1)**(1/2)"],
["(-3*x+(x**2+x+1)**(1/2))/(-1+(x**2+x+1)**(1/2))",x,26,"x+5/2*asinh(1/3*(1+2*x)*3**(1/2))+4*atanh(1/2*(1-x)/(x**2+x+1)**(1/2))-atanh(1/2*(2+x)/(x**2+x+1)**(1/2))+ln(x)-4*ln(1+x)-3*(x**2+x+1)**(1/2)"],
["(1+x)/(-(x**2+x+1)**(1/2)+(x**2+2*x+4)**(1/2))",x,36,"11/2*asinh(1/3*(1+x)*3**(1/2))+43/8*asinh(1/3*(1+2*x)*3**(1/2))-2*atanh(1/14*(1+5*x)*7**(1/2)/(x**2+x+1)**(1/2))*7**(1/2)+2*atanh(1/7*(1-2*x)*7**(1/2)/(x**2+2*x+4)**(1/2))*7**(1/2)-2*(x**2+x+1)**(1/2)+1/4*(1+2*x)*(x**2+x+1)**(1/2)-2*(x**2+2*x+4)**(1/2)+1/2*(1+x)*(x**2+2*x+4)**(1/2)"],
["1/x**3/(-1+x)**(1/2)",x,4,"3/4*atan((-1+x)**(1/2))+1/2*(-1+x)**(1/2)/x**2+3/4*(-1+x)**(1/2)/x"],
["1/(1-3/x)**(4/3)/x**2",x,1,"-1/(1-3/x)**(1/3)"],
["(-1+3*x)**(4/3)/x**2",x,6,"12*(-1+3*x)**(1/3)-(-1+3*x)**(4/3)/x+2*ln(x)-6*ln(1+(-1+3*x)**(1/3))+4*atan(1/3*(1-2*(-1+3*x)**(1/3))*3**(1/2))*3**(1/2)"],
["(4-3*x)**(4/3)*x**2",x,2,"-16/63*(4-3*x)**(7/3)+4/45*(4-3*x)**(10/3)-1/117*(4-3*x)**(13/3)"],
["(1-2*x**(1/3))**(3/4)/x",x,6,"4*(1-2*x**(1/3))**(3/4)+6*atan((1-2*x**(1/3))**(1/4))-6*atanh((1-2*x**(1/3))**(1/4))"],
["x/(3-2*x**(1/2))**(3/4)",x,3,"-27/2*(3-2*x**(1/2))**(1/4)+27/10*(3-2*x**(1/2))**(5/4)-1/2*(3-2*x**(1/2))**(9/4)+1/26*(3-2*x**(1/2))**(13/4)"],
["(-1+2*x**(1/2))**(5/4)/x**2",x,13,"5/4*atan(-1+2**(1/2)*(-1+2*x**(1/2))**(1/4))*2**(1/2)+5/4*atan(1+2**(1/2)*(-1+2*x**(1/2))**(1/4))*2**(1/2)-5/8*ln(1-2**(1/2)*(-1+2*x**(1/2))**(1/4)+(-1+2*x**(1/2))**(1/2))*2**(1/2)+5/8*ln(1+2**(1/2)*(-1+2*x**(1/2))**(1/4)+(-1+2*x**(1/2))**(1/2))*2**(1/2)-5/2*(-1+2*x**(1/2))**(1/4)/x**(1/2)-(-1+2*x**(1/2))**(5/4)/x"],
["x**6*(x**7+1)**(1/3)",x,1,"3/28*(x**7+1)**(4/3)"],
["x**6/(x**7+1)**(5/3)",x,1,"-3/14/(x**7+1)**(2/3)"],
["1/x/(2*x**7-27)**(2/3)",x,5,"-1/18*ln(x)+1/42*ln(3+(2*x**7-27)**(1/3))-1/63*atan(1/9*(3-2*(2*x**7-27)**(1/3))*3**(1/2))*3**(1/2)"],
["(x**7+1)**(2/3)/x**8",x,6,"-1/7*(x**7+1)**(2/3)/x**7-1/3*ln(x)+1/7*ln(1-(x**7+1)**(1/3))+2/21*atan(1/3*(1+2*(x**7+1)**(1/3))*3**(1/2))*3**(1/2)"],
["(4*x**4+3)**(1/4)/x**2",x,5,"-(4*x**4+3)**(1/4)/x-1/2*atan(x*2**(1/2)/(4*x**4+3)**(1/4))*2**(1/2)+1/2*atanh(x*2**(1/2)/(4*x**4+3)**(1/4))*2**(1/2)"],
["x**2*(4*x**4+3)**(5/4)",x,6,"15/32*x**3*(4*x**4+3)**(1/4)+1/8*x**3*(4*x**4+3)**(5/4)-45/256*atan(x*2**(1/2)/(4*x**4+3)**(1/4))*2**(1/2)+45/256*atanh(x*2**(1/2)/(4*x**4+3)**(1/4))*2**(1/2)"],
["x**6*(4*x**4+3)**(1/4)",x,6,"3/128*x**3*(4*x**4+3)**(1/4)+1/8*x**7*(4*x**4+3)**(1/4)+27/1024*atan(x*2**(1/2)/(4*x**4+3)**(1/4))*2**(1/2)-27/1024*atanh(x*2**(1/2)/(4*x**4+3)**(1/4))*2**(1/2)"],
["(x*(-x**2+1))**(1/3)",x,6,"1/2*x*(x*(-x**2+1))**(1/3)+1/12*ln(x)-1/4*ln(x+(x*(-x**2+1))**(1/3))+1/6*atan(1/3*(2*x-(x*(-x**2+1))**(1/3))/(x*(-x**2+1))**(1/3)*3**(1/2))*3**(1/2)"],
["((1+x**(1/3))*x)**(1/2)",x,8,"21/128*atanh(x**(2/3)/((1+x**(1/3))*x)**(1/2))+7/64*((1+x**(1/3))*x)**(1/2)-21/128*((1+x**(1/3))*x)**(1/2)/x**(1/3)-7/80*x**(1/3)*((1+x**(1/3))*x)**(1/2)+3/40*x**(2/3)*((1+x**(1/3))*x)**(1/2)+3/5*x*((1+x**(1/3))*x)**(1/2)"],
["x**3/(x**4-1)/(2*x**8+1)**(1/2)",x,3,"-1/12*atanh(1/3*(2*x**4+1)*3**(1/2)/(2*x**8+1)**(1/2))*3**(1/2)"],
["x**9*(x**10+x**5+1)**(1/2)",x,5,"1/15*(x**10+x**5+1)**(3/2)-3/80*asinh(1/3*(2*x**5+1)*3**(1/2))-1/40*(2*x**5+1)*(x**10+x**5+1)**(1/2)"],
["1/x**5/(x**4+2*x**2+4)**(1/2)",x,5,"1/128*atanh(1/2*(x**2+4)/(x**4+2*x**2+4)**(1/2))-1/16*(x**4+2*x**2+4)**(1/2)/x**4+3/64*(x**4+2*x**2+4)**(1/2)/x**2"],
["(x**2-1)/x/(x**4+3*x**2+1)**(1/2)",x,3,"atanh((x**2+1)/(x**4+3*x**2+1)**(1/2))"],
["(2*x**3-3*x)*(x**4-3*x**2)**(3/5)",x,1,"5/16*(x**4-3*x**2)**(8/5)"],
["(-2*x**5+3*x**8-x**2*(3*x**3-1)**(2/3))/(3*x**3-1)**(3/4)",x,9,"-4/27*(3*x**3-1)**(1/4)-4/33*(3*x**3-1)**(11/12)+4/243*(3*x**3-1)**(9/4)"],
["1/(x**3-1)/(x**3+2)**(1/3)",x,1,"-1/3*atan(1/3*(1+2*3**(1/3)*x/(x**3+2)**(1/3))*3**(1/2))*3**(1/6)-1/18*ln(x**3-1)*3**(2/3)+1/6*ln(3**(1/3)*x-(x**3+2)**(1/3))*3**(2/3)"],
["1/(x**4+1)/(x**4+2)**(1/4)",x,10,"1/4*atan(-1+x*2**(1/2)/(x**4+2)**(1/4))*2**(1/2)+1/4*atan(1+x*2**(1/2)/(x**4+2)**(1/4))*2**(1/2)-1/8*ln(1-x*2**(1/2)/(x**4+2)**(1/4)+x**2/(x**4+2)**(1/2))*2**(1/2)+1/8*ln(1+x*2**(1/2)/(x**4+2)**(1/4)+x**2/(x**4+2)**(1/2))*2**(1/2)"],
["(x**3-1)/(x**3+2)**(1/3)",x,2,"1/3*x*(x**3+2)**(2/3)+5/6*ln(-x+(x**3+2)**(1/3))-5/9*atan(1/3*(1+2*x/(x**3+2)**(1/3))*3**(1/2))*3**(1/2)"],
["(x**4+1)**(3/4)/(x**4+2)**2",x,5,"1/8*x*(x**4+1)**(3/4)/(x**4+2)+3/32*atan(1/2*x*2**(3/4)/(x**4+1)**(1/4))*2**(1/4)+3/32*atanh(1/2*x*2**(3/4)/(x**4+1)**(1/4))*2**(1/4)"],
["(x**5-2)**2/(x**5+3)**(16/5)",x,3,"-5/33*x*(x**5-2)/(x**5+3)**(11/5)+5/297*x/(x**5+3)**(6/5)+97/891*x/(x**5+3)**(1/5)"],
["1/(x**3+3*x**2+3*x)/(x**3+3*x**2+3*x+3)**(1/3)",x,3,"-1/3*atan(1/3*(1+2*3**(1/3)*(1+x)/(2+(1+x)**3)**(1/3))*3**(1/2))*3**(1/6)-1/18*ln(1-(1+x)**3)*3**(2/3)+1/6*ln(3**(1/3)*(1+x)-(2+(1+x)**3)**(1/3))*3**(2/3)"],
["(-x**2+1)/(x**2+1)/(x**4+1)**(1/2)",x,2,"1/2*atan(x*2**(1/2)/(x**4+1)**(1/2))*2**(1/2)"],
["(x**2+1)/(-x**2+1)/(x**4+1)**(1/2)",x,2,"1/2*atanh(x*2**(1/2)/(x**4+1)**(1/2))*2**(1/2)"],
["(x**2+1)/x/(x**4+1)**(1/2)",x,6,"atanh((x**2-1)/(x**4+1)**(1/2))"],
["(x**2-1)/x/(x**4+1)**(1/2)",x,6,"atanh((x**2+1)/(x**4+1)**(1/2))"],
["(x**2+1)/(-x**2+1)/(x**4+x**2+1)**(1/2)",x,2,"1/3*atanh(x*3**(1/2)/(x**4+x**2+1)**(1/2))*3**(1/2)"],
["(-x**2+1)/(x**2+1)/(x**4+x**2+1)**(1/2)",x,2,"atan(x/(x**4+x**2+1)**(1/2))"],
["(x**4-1)/x**2/(x**4+x**2+1)**(1/2)",x,1,"1/x*(x**4+x**2+1)**(1/2)"],
["(-x**2+1)/(2*a*x+x**2+1)/(2*a*x**3+x**4+2*b*x**2+2*a*x+1)**(1/2)",x,1,"1/2*atan(1/2*(a+2*(a**2-b+1)*x+a*x**2)*2**(1/2)/(1-b)**(1/2)/(2*a*x**3+x**4+2*b*x**2+2*a*x+1)**(1/2))*2**(1/2)/(1-b)**(1/2)"],
["1/(x**4+1)/(-x**2+(x**4+1)**(1/2))**(1/2)",x,2,"atan(x/(-x**2+(x**4+1)**(1/2))**(1/2))"],
["1/(1+x**(2*n))/(-x**2+(1+x**(2*n))**(1/n))**(1/2)",x,2,"atan(x/(-x**2+(1+x**(2*n))**(1/n))**(1/2))"],
["cos(x)**2",x,2,"1/2*x+1/2*cos(x)*sin(x)"],
["cos(x)**3",x,2,"sin(x)-1/3*sin(x)**3"],
["sin(x)**4",x,3,"3/8*x-3/8*cos(x)*sin(x)-1/4*cos(x)*sin(x)**3"],
["cos(x)**6",x,4,"5/16*x+5/16*cos(x)*sin(x)+5/24*cos(x)**3*sin(x)+1/6*cos(x)**5*sin(x)"],
["sin(x)**8",x,5,"35/128*x-35/128*cos(x)*sin(x)-35/192*cos(x)*sin(x)**3-7/48*cos(x)*sin(x)**5-1/8*cos(x)*sin(x)**7"],
["cos(1/4*pi+1/2*x)**4",x,3,"3/8*x+1/2*cos(x)-1/8*cos(x)*sin(x)"],
["-cos(5/12*pi+3*x)**3",x,2,"-1/3*sin(5/12*pi+3*x)+1/9*sin(5/12*pi+3*x)**3"],
["1/sin(x)**6",x,2,"-cot(x)-2/3*cot(x)**3-1/5*cot(x)**5"],
["csc(x)**7",x,4,"-5/16*atanh(cos(x))-5/16*cot(x)*csc(x)-5/24*cot(x)*csc(x)**3-1/6*cot(x)*csc(x)**5"],
["1/cos(x)**12",x,2,"tan(x)+5/3*tan(x)**3+2*tan(x)**5+10/7*tan(x)**7+5/9*tan(x)**9+1/11*tan(x)**11"],
["1/cos(1/4*pi+3*x)**3",x,2,"1/6*atanh(sin(1/4*pi+3*x))+1/6*sec(1/4*pi+3*x)*tan(1/4*pi+3*x)"],
["tan(x)**6",x,4,"-x+tan(x)-1/3*tan(x)**3+1/5*tan(x)**5"],
["1/tan(x)**5",x,3,"1/2*cot(x)**2-1/4*cot(x)**4+ln(sin(x))"],
["cot(1/4*pi+1/3*x)**4",x,3,"x+3*cot(1/4*pi+1/3*x)-cot(1/4*pi+1/3*x)**3"],
["cos(x)**6*sin(x)**4",x,6,"3/256*x+3/256*cos(x)*sin(x)+1/128*cos(x)**3*sin(x)+1/160*cos(x)**5*sin(x)-3/80*cos(x)**7*sin(x)-1/10*cos(x)**7*sin(x)**3"],
["cos(x)**6*sin(x)**7",x,3,"-1/7*cos(x)**7+1/3*cos(x)**9-3/11*cos(x)**11+1/13*cos(x)**13"],
["sin(x)**11/cos(x)",x,4,"5/2*cos(x)**2-5/2*cos(x)**4+5/3*cos(x)**6-5/8*cos(x)**8+1/10*cos(x)**10-ln(cos(x))"],
["1/cos(x)**6/sin(x)**6",x,3,"-10*cot(x)-5/3*cot(x)**3-1/5*cot(x)**5+10*tan(x)+5/3*tan(x)**3+1/5*tan(x)**5"],
["cos(x)**2*sin(x)**2",x,3,"1/8*x+1/8*cos(x)*sin(x)-1/4*cos(x)**3*sin(x)"],
["cos(x)**4*sin(x)**4",x,5,"3/128*x+3/128*cos(x)*sin(x)+1/64*cos(x)**3*sin(x)-1/16*cos(x)**5*sin(x)-1/8*cos(x)**5*sin(x)**3"],
["cos(x)**6*sin(x)**6",x,7,"5/1024*x+5/1024*cos(x)*sin(x)+5/1536*cos(x)**3*sin(x)+1/384*cos(x)**5*sin(x)-1/64*cos(x)**7*sin(x)-1/24*cos(x)**7*sin(x)**3-1/12*cos(x)**7*sin(x)**5"],
["cos(x)**8*sin(x)**8",x,9,"35/32768*x+35/32768*cos(x)*sin(x)+35/49152*cos(x)**3*sin(x)+7/12288*cos(x)**5*sin(x)+1/2048*cos(x)**7*sin(x)-1/256*cos(x)**9*sin(x)-5/384*cos(x)**9*sin(x)**3-1/32*cos(x)**9*sin(x)**5-1/16*cos(x)**9*sin(x)**7"],
["cos(x)**(2*m)*sin(x)**(2*m)",x,1,"cos(x)**(-1+2*m)*(cos(x)**2)**(1/2-m)*hyper([1/2+m, 1/2-m],[3/2+m],sin(x)**2)*sin(x)**(1+2*m)/(1+2*m)"],
["1/cos(1/4*pi+2*x)/sin(1/4*pi+2*x)**3",x,3,"-1/4*cot(1/4*pi+2*x)**2+1/2*ln(tan(1/4*pi+2*x))"],
["sec(x)**2*tan(x)**2",x,2,"1/3*tan(x)**3"],
["cot(x)**3*csc(x)",x,2,"csc(x)-1/3*csc(x)**3"],
["sec(x)**3*tan(x)",x,2,"1/3*sec(x)**3"],
["cot(x)**2*csc(x)**3",x,3,"1/8*atanh(cos(x))+1/8*cot(x)*csc(x)-1/4*cot(x)*csc(x)**3"],
["cos(x)**3/sin(x)**7",x,3,"1/4*csc(x)**4-1/6*csc(x)**6"],
["sec(x)**(3/2)*tan(x)**5",x,3,"2/3*sec(x)**(3/2)-4/7*sec(x)**(7/2)+2/11*sec(x)**(11/2)"],
["sec(x)**4*tan(x)**(3/2)",x,3,"2/5*tan(x)**(5/2)+2/9*tan(x)**(9/2)"],
["cot(x)**4*csc(x)**3",x,4,"-1/16*atanh(cos(x))-1/16*cot(x)*csc(x)+1/8*cot(x)*csc(x)**3-1/6*cot(x)**3*csc(x)**3"],
["sec(1/4*pi+1/2*x)**3*tan(1/4*pi+1/2*x)**2",x,3,"-1/4*atanh(sin(1/4*pi+1/2*x))-1/4*sec(1/4*pi+1/2*x)*tan(1/4*pi+1/2*x)+1/2*sec(1/4*pi+1/2*x)**3*tan(1/4*pi+1/2*x)"],
["(1+cot(x)**3)*(a*sec(x)**2-sin(2*x))**2",x,8,"1/2*x+4*a*x+2*cos(x)**2+cos(x)**4+4*a*cot(x)-1/2*a**2*cot(x)**2+(4-a)*a*ln(cos(x))+(a**2+4)*ln(sin(x))+1/2*cos(x)*sin(x)-cos(x)**3*sin(x)+a**2*tan(x)+1/3*a**2*tan(x)**3"],
["(4-3*cos(x))*(1-1/2*sin(x))**4",x,15,"227/32*x+10*cos(x)-3*cos(x)**2-2/3*cos(x)**3-3*sin(x)-99/32*cos(x)*sin(x)-3/2*sin(x)**3-1/16*cos(x)*sin(x)**3+3/8*sin(x)**4-3/80*sin(x)**5"],
["(1/2-3*cot(x))*(3-2*cot(x))**3",x,4,"-285/2*x+5*(3-2*cot(x))**2+(3-2*cot(x))**3-42*cot(x)+4*ln(sin(x))"],
["cos(5*x)/cos(x)**5",x,4,"16*x-15*tan(x)+5/3*tan(x)**3"],
["cos(4*x)/cos(x)",x,4,"atanh(sin(x))-8/3*sin(x)**3"],
["cos(x)*cos(4*x)",x,1,"1/6*sin(3*x)+1/10*sin(5*x)"],
["cos(4*x)/cos(x)**5",x,4,"35/8*atanh(sin(x))-29/8*sec(x)*tan(x)+1/4*sec(x)**3*tan(x)"],
["cos(x)**4*cos(4*x)",x,6,"1/16*x+1/8*sin(2*x)+3/32*sin(4*x)+1/24*sin(6*x)+1/128*sin(8*x)"],
["cos(5*x)/sin(x)**5",x,4,"6*csc(x)**2-1/4*csc(x)**4+16*ln(sin(x))"],
["sin(4*x)/sin(x)**4",x,3,"-2*csc(x)**2-8*ln(sin(x))"],
["cos(x)/sin(x)/(2+sin(2*x))",x,7,"1/2*ln(sin(x))-1/4*ln(1+cos(x)*sin(x))-1/6*x*3**(1/2)+1/6*atan((1-2*cos(x)**2)/(2+2*cos(x)*sin(x)+3**(1/2)))*3**(1/2)"],
["cos(x)**2/cos(3*x)/sin(x)",x,5,"-1/2*ln(-4+csc(x)**2)"],
["sin(2*x)/(cos(x)**4+sin(x)**4)",x,5,"-atan(cos(2*x))"],
["1/(4+sin(x)+cos(x)*3**(1/2))",x,3,"1/6*x*3**(1/2)+1/3*atan((cos(x)-sin(x)*3**(1/2))/(sin(x)+cos(x)*3**(1/2)+4+2*3**(1/2)))*3**(1/2)"],
["1/(3+4*cos(x)+4*sin(x))",x,3,"-1/23*atanh((cos(x)-sin(x))*23**(1/2)/(8+3*cos(x)+3*sin(x)))*23**(1/2)"],
["1/(4-3*cos(x)**2+5*sin(x)**2)",x,2,"1/3*x+1/3*atan(2*cos(x)*sin(x)/(1+2*sin(x)**2))"],
["1/(4+4*cot(x)+tan(x))",x,6,"4/25*x-3/25*ln(2*cos(x)+sin(x))+2/5/(2+tan(x))"],
["1/(2*sec(x)+sin(x))**2",x,4,"8/225*x*15**(1/2)-8/225*atan((1-2*cos(x)**2)/(4+2*cos(x)*sin(x)+15**(1/2)))*15**(1/2)+1/15*(1+4*tan(x))/(2+tan(x)+2*tan(x)**2)"],
["1/(cos(x)+2*sec(x))**2",x,3,"1/36*x*6**(1/2)-1/36*atan(cos(x)*sin(x)/(2+cos(x)**2+6**(1/2)))*6**(1/2)+1/6*tan(x)/(3+2*tan(x)**2)"],
["(5-tan(x)-6*tan(x)**2)/(1+3*tan(x))**3",x,4,"-67/250*x-28/125*ln(cos(x)+3*sin(x))-7/10/(1+3*tan(x))**2-29/50/(1+3*tan(x))"],
["cos(x)**2/cos(3*x)",x,2,"1/2*atanh(2*sin(x))"],
["sin(x)/cos(2*x)",x,2,"1/2*atanh(cos(x)*2**(1/2))*2**(1/2)"],
["sin(x)**2/cos(2*x)",x,4,"-1/2*x+1/4*atanh(2*cos(x)*sin(x))"],
["sin(x)**3/cos(3*x)",x,4,"1/3*ln(cos(x))-1/24*ln(3-4*cos(x)**2)"],
["cos(x)/sin(3*x)",x,5,"1/3*ln(sin(x))-1/6*ln(3-4*sin(x)**2)"],
["sin(x)/sin(4*x)",x,4,"-1/4*atanh(sin(x))+1/4*atanh(sin(x)*2**(1/2))*2**(1/2)"],
["sin(x)**3/sin(4*x)",x,4,"-1/4*atanh(sin(x))+1/8*atanh(sin(x)*2**(1/2))*2**(1/2)"],
["(1+sin(2*x))**(1/2)",x,1,"-cos(2*x)/(1+sin(2*x))**(1/2)"],
["(1-sin(2*x))**(1/2)",x,1,"cos(2*x)/(1-sin(2*x))**(1/2)"],
["1/(1+cos(2*x))**(1/2)",x,2,"1/2*atanh(1/2*sin(2*x)*2**(1/2)/(1+cos(2*x))**(1/2))*2**(1/2)"],
["1/(1-cos(2*x))**(1/2)",x,2,"-1/2*atanh(1/2*sin(2*x)*2**(1/2)/(1-cos(2*x))**(1/2))*2**(1/2)"],
["1/(1-cos(3*x))**(3/2)",x,3,"-1/6*sin(3*x)/(1-cos(3*x))**(3/2)-1/12*atanh(1/2*sin(3*x)*2**(1/2)/(1-cos(3*x))**(1/2))*2**(1/2)"],
["(1-sin(2/3*x))**(5/2)",x,3,"3/5*cos(2/3*x)*(1-sin(2/3*x))**(3/2)+32/5*cos(2/3*x)/(1-sin(2/3*x))**(1/2)+8/5*cos(2/3*x)*(1-sin(2/3*x))**(1/2)"],
["cos(x)*(-cos(x)**2+2*(1+2*sin(x))**(1/4))/(1+2*sin(x))**(3/2)",x,4,"-4/(1+2*sin(x))**(1/4)+1/12*(1+2*sin(x))**(3/2)+3/4/(1+2*sin(x))**(1/2)-1/2*(1+2*sin(x))**(1/2)"],
["tan(x)**(1/2)",x,11,"1/2*atan(-1+2**(1/2)*tan(x)**(1/2))*2**(1/2)+1/2*atan(1+2**(1/2)*tan(x)**(1/2))*2**(1/2)+1/4*ln(1-2**(1/2)*tan(x)**(1/2)+tan(x))*2**(1/2)-1/4*ln(1+2**(1/2)*tan(x)**(1/2)+tan(x))*2**(1/2)"],
["1/tan(5*x)**(1/3)",x,9,"3/20*ln(1+tan(5*x)**(2/3))-1/20*ln(1+tan(5*x)**2)-1/10*atan(1/3*(1-2*tan(5*x)**(2/3))*3**(1/2))*3**(1/2)"],
["1/(4+3*tan(2*x))**(3/2)",x,6,"-9/500*atan(1/2*(1-3*tan(2*x))*2**(1/2)/(4+3*tan(2*x))**(1/2))*2**(1/2)+13/500*atanh(1/2*(3+tan(2*x))*2**(1/2)/(4+3*tan(2*x))**(1/2))*2**(1/2)-3/25/(4+3*tan(2*x))**(1/2)"],
["(-(4-3*tan(x))**(1/2)+3*tan(x))/cos(x)**2/(4-3*tan(x))**(3/2)",x,4,"1/3*ln(4-3*tan(x))+8/3/(4-3*tan(x))**(1/2)+2/3*(4-3*tan(x))**(1/2)"],
["tan(x)/(-1+tan(x)**(1/2))**2",x,-19,"-1/2*x+1/2*ln(cos(x))+ln(1-tan(x)**(1/2))+1/2*atan(1/2*(1-tan(x))*2**(1/2)/tan(x)**(1/2))*2**(1/2)+1/2*atanh(1/2*(1+tan(x))*2**(1/2)/tan(x)**(1/2))*2**(1/2)+1/(1-tan(x)**(1/2))"],
["sin(x)/sin(2*x)**(1/2)",x,1,"-1/2*asin(cos(x)-sin(x))-1/2*ln(cos(x)+sin(x)+sin(2*x)**(1/2))"],
["cos(x)/sin(2*x)**(1/2)",x,1,"-1/2*asin(cos(x)-sin(x))+1/2*ln(cos(x)+sin(x)+sin(2*x)**(1/2))"],
["sin(x)*sin(2*x)**(1/2)",x,2,"-1/4*asin(cos(x)-sin(x))+1/4*ln(cos(x)+sin(x)+sin(2*x)**(1/2))-1/2*cos(x)*sin(2*x)**(1/2)"],
["(cos(x)-sin(x))*sin(2*x)**(1/2)",x,6,"-1/2*ln(cos(x)+sin(x)+sin(2*x)**(1/2))+1/2*cos(x)*sin(2*x)**(1/2)+1/2*sin(x)*sin(2*x)**(1/2)"],
["sin(x)**7/sin(2*x)**(7/2)",x,4,"-1/16*asin(cos(x)-sin(x))+1/16*ln(cos(x)+sin(x)+sin(2*x)**(1/2))+1/5*sin(x)**5/sin(2*x)**(5/2)-1/4*sin(x)/sin(2*x)**(1/2)"],
["cos(x)**7/sin(2*x)**(7/2)",x,4,"-1/16*asin(cos(x)-sin(x))-1/16*ln(cos(x)+sin(x)+sin(2*x)**(1/2))-1/5*cos(x)**5/sin(2*x)**(5/2)+1/4*cos(x)/sin(2*x)**(1/2)"],
["sin(2*x)**(3/2)/sin(x)**5",x,1,"-1/5*csc(x)**5*sin(2*x)**(5/2)"],
["1/cos(x)**3/sin(2*x)**(1/2)",x,2,"4/5*sec(x)*sin(2*x)**(1/2)+1/5*sec(x)**3*sin(2*x)**(1/2)"],
["1/sin(x)/sin(2*x)**(3/2)",x,3,"-2/3*cos(x)/sin(2*x)**(3/2)+4/3*sin(x)/sin(2*x)**(1/2)"],
["cos(x)**3*(cos(2*x)-3*tan(x))/(sin(x)**2-sin(2*x))/sin(2*x)**(5/2)",x,6,"33/32*atanh(1/2*sin(2*x)**(1/2)/cos(x))-9/16*cos(x)/sin(2*x)**(1/2)-5/24*cos(x)*cot(x)/sin(2*x)**(1/2)+1/20*cos(x)*cot(x)**2/sin(2*x)**(1/2)"],
["(sin(x)/cos(x)**5)**(1/2)",x,5,"2/3*cos(x)*sin(x)*(sec(x)**4*tan(x))**(1/2)"],
["(sin(x)**5/cos(x))**(1/2)",x,13,"3/8*atan(1/2*(1-cot(x))*csc(x)**2*(sin(x)**4*tan(x))**(1/2)*2**(1/2))*2**(1/2)+3/8*ln(cos(x)+sin(x)-cot(x)*csc(x)*2**(1/2)*(sin(x)**4*tan(x))**(1/2))*2**(1/2)-1/2*cot(x)*(sin(x)**4*tan(x))**(1/2)"],
["(sin(x)**2/cos(x)**14)**(1/3)",x,5,"3/5*cos(x)**3*sin(x)*(sec(x)**12*tan(x)**2)**(1/3)+3/11*cos(x)*sin(x)**3*(sec(x)**12*tan(x)**2)**(1/3)"],
["1/(cos(x)**11*sin(x)**13)**(1/4)",x,4,"-4/9*cos(x)**5*sin(x)/(cos(x)**11*sin(x)**13)**(1/4)-8*cos(x)**3*sin(x)**3/(cos(x)**11*sin(x)**13)**(1/4)+4/7*cos(x)*sin(x)**5/(cos(x)**11*sin(x)**13)**(1/4)"],
["(cos(2*x)-sin(2*x)**(1/2))/(cos(x)**3*sin(x))**(1/2)",x,-28,"-ln(cos(x)+sin(x)-sec(x)*2**(1/2)*(cos(x)**3*sin(x))**(1/2))*2**(1/2)-sin(2*x)/(cos(x)**3*sin(x))**(1/2)-asin(cos(x)-sin(x))*cos(x)*sin(2*x)**(1/2)/(cos(x)**3*sin(x))**(1/2)-atanh(sin(x))*cos(x)*sin(2*x)**(1/2)/(cos(x)**3*sin(x))**(1/2)"],
["(-2*sin(2*x)+(cos(x)*sin(x)**3)**(1/2))/(-(cos(x)**3*sin(x))**(1/2)+tan(x)**(1/2))",x,66,"2**(1/4)*acoth(1/2*cos(x)*(sin(x)+cos(x)*2**(1/2))*2**(1/4)/(cos(x)**3*sin(x))**(1/2))-2**(1/4)*acoth(1/2*(2**(1/2)+tan(x))*2**(1/4)/tan(x)**(1/2))+2**(1/4)*atan(1/2*cos(x)*(-sin(x)+cos(x)*2**(1/2))*2**(1/4)/(cos(x)**3*sin(x))**(1/2))-2**(1/4)*atan(1/2*(2**(1/2)-tan(x))*2**(1/4)/tan(x)**(1/2))-2*acoth(1/2*cos(x)*(cos(x)+sin(x))*2**(1/2)/(cos(x)**3*sin(x))**(1/2))*2**(1/2)-2*atan(1/2*cos(x)*(cos(x)-sin(x))*2**(1/2)/(cos(x)**3*sin(x))**(1/2))*2**(1/2)+4*csc(x)*sec(x)*(cos(x)**3*sin(x))**(1/2)+1/4*csc(x)**2*ln(1+cos(x)**2)*sec(x)**2*(cos(x)**3*sin(x))**(1/2)*(cos(x)*sin(x)**3)**(1/2)+1/2*csc(x)**2*ln(sin(x))*sec(x)**2*(cos(x)**3*sin(x))**(1/2)*(cos(x)*sin(x)**3)**(1/2)+4/tan(x)**(1/2)-1/4*csc(x)**2*ln(1+cos(x)**2)*(cos(x)*sin(x)**3)**(1/2)*tan(x)**(1/2)+1/2*csc(x)**2*ln(sin(x))*(cos(x)*sin(x)**3)**(1/2)*tan(x)**(1/2)"],
["((sin(x)/cos(x)**7)**(1/3)-3*tan(x))/(cos(x)**5*sin(x))**(2/3)",x,13,"-9/10*sin(x)**4/(cos(x)**5*sin(x))**(2/3)-9/4*sec(x)**8*(cos(x)**5*sin(x))**(4/3)+3/2*(cos(x)**5*sin(x))**(1/3)*(sec(x)**6*tan(x))**(1/3)+3/4*(cos(x)**5*sin(x))**(1/3)*tan(x)**2*(sec(x)**6*tan(x))**(1/3)+3/14*(cos(x)**5*sin(x))**(1/3)*tan(x)**4*(sec(x)**6*tan(x))**(1/3)"],
["(1+2*cos(x)**2)**(5/2)*sin(x)",x,5,"-5/24*cos(x)*(1+2*cos(x)**2)**(3/2)-1/6*cos(x)*(1+2*cos(x)**2)**(5/2)-5/32*asinh(cos(x)*2**(1/2))*2**(1/2)-5/16*cos(x)*(1+2*cos(x)**2)**(1/2)"],
["cos(x)*(5*cos(x)**2+sin(x)**2)**(5/2)",x,5,"625/32*asin(2/5*sin(x)*5**(1/2))+25/24*sin(x)*(5-4*sin(x)**2)**(3/2)+1/6*sin(x)*(5-4*sin(x)**2)**(5/2)+125/16*sin(x)*(5-4*sin(x)**2)**(1/2)"],
["cos(x)*(-cos(x)**2-5*sin(x)**2)**(3/2)",x,5,"3/16*atan(2*sin(x)/(-1-4*sin(x)**2)**(1/2))+1/4*sin(x)*(-1-4*sin(x)**2)**(3/2)-3/8*sin(x)*(-1-4*sin(x)**2)**(1/2)"],
["sin(x)/(5*cos(x)**2-2*sin(x)**2)**(7/2)",x,4,"1/10*cos(x)/(-2+7*cos(x)**2)**(5/2)-1/15*cos(x)/(-2+7*cos(x)**2)**(3/2)+1/15*cos(x)/(-2+7*cos(x)**2)**(1/2)"],
["cos(x)*cos(2*x)/(2-5*sin(x)**2)**(3/2)",x,3,"2/25*asin(1/2*sin(x)*10**(1/2))*5**(1/2)+1/10*sin(x)/(2-5*sin(x)**2)**(1/2)"],
["sin(5*x)/(5*cos(x)**2+9*sin(x)**2)**(5/2)",x,4,"-1/2*asin(2/3*cos(x))-55/27*cos(x)/(9-4*cos(x)**2)**(3/2)+295/243*cos(x)/(9-4*cos(x)**2)**(1/2)"],
["cos(x)*cos(2*x)*sin(3*x)/(-5+4*sin(x)**2)**(5/2)",x,4,"-1/4/(-5+4*sin(x)**2)**(3/2)-5/8/(-5+4*sin(x)**2)**(1/2)+1/8*(-5+4*sin(x)**2)**(1/2)"],
["(-2*cos(x)**3*(-1+sin(x))+cos(2*x)*sin(x))/sin(x)**2/(-5+sin(x)**2)**(1/2)",x,18,"2*atan(cos(x)/(-5+sin(x)**2)**(1/2))-2*atanh(sin(x)/(-5+sin(x)**2)**(1/2))-1/5*atan(cos(x)*5**(1/2)/(-5+sin(x)**2)**(1/2))*5**(1/2)-2/5*atan(1/5*(-5+sin(x)**2)**(1/2)*5**(1/2))*5**(1/2)+2*(-5+sin(x)**2)**(1/2)+2/5*(-5+sin(x)**2)**(1/2)/sin(x)"],
["cos(3*x)/(-(-1+8*cos(x)**2)**(1/2)+(3*cos(x)**2-sin(x)**2)**(1/2))",x,27,"3/4*asin(2/3*sin(x)*3**(1/2))-3/4*atan(sin(x)/(-1+4*cos(x)**2)**(1/2))-3/4*atan(sin(x)/(-1+8*cos(x)**2)**(1/2))+5/8*asin(2/7*sin(x)*14**(1/2))*2**(1/2)-1/2*sin(x)*(-1+4*cos(x)**2)**(1/2)-1/2*sin(x)*(-1+8*cos(x)**2)**(1/2)"],
["(2-3*sin(x)**2)**(3/5)*sin(4*x)",x,5,"5/36*(2-3*sin(x)**2)**(8/5)-20/117*(2-3*sin(x)**2)**(13/5)"],
["cos(x)*cos(2*x)**(1/2)",x,3,"1/4*asin(sin(x)*2**(1/2))*2**(1/2)+1/2*sin(x)*cos(2*x)**(1/2)"],
["cos(2*x)**(3/2)*sin(x)",x,5,"-1/4*cos(x)*cos(2*x)**(3/2)-3/16*atanh(cos(x)*2**(1/2)/cos(2*x)**(1/2))*2**(1/2)+3/8*cos(x)*cos(2*x)**(1/2)"],
["sin(x)/cos(2*x)**(5/2)",x,1,"-1/3*cos(3*x)/cos(2*x)**(3/2)"],
["cos(2*x)**(3/2)/cos(x)**3",x,6,"-5/2*atan(sin(x)/cos(2*x)**(1/2))+2*asin(sin(x)*2**(1/2))*2**(1/2)-1/2*sec(x)*cos(2*x)**(1/2)*tan(x)"],
["(3*sin(x)**3-cos(x)*sin(4*x))/cos(2*x)**(7/2)/csc(x)**2",x,11,"-11/20*cos(x)/cos(2*x)**(3/2)-2/3*cos(x)**3/cos(2*x)**(3/2)+3/10*cos(x)*sin(x)**2/cos(2*x)**(5/2)-1/2*atanh(cos(x)*2**(1/2)/cos(2*x)**(1/2))*2**(1/2)+63/20*cos(x)/cos(2*x)**(1/2)"],
["(4-5*sec(x)**2)**(3/2)",x,7,"8*atan(2*tan(x)/(-1-5*tan(x)**2)**(1/2))-7/2*atan(5**(1/2)*tan(x)/(-1-5*tan(x)**2)**(1/2))*5**(1/2)-5/2*(-1-5*tan(x)**2)**(1/2)*tan(x)"],
["1/(4-5*sec(x)**2)**(3/2)",x,4,"1/8*atan(2*tan(x)/(-1-5*tan(x)**2)**(1/2))-5/4*tan(x)/(-1-5*tan(x)**2)**(1/2)"],
["(-2*cot(x)**2+sin(x))/(1+5*tan(x)**2)**(3/2)",x,10,"-1/4*atanh(2*tan(x)/(1+5*tan(x)**2)**(1/2))-1/4*cos(x)/(1+5*tan(x)**2)**(1/2)-5/2*cot(x)/(1+5*tan(x)**2)**(1/2)-1/8*cos(x)*(1+5*tan(x)**2)**(1/2)+9/2*cot(x)*(1+5*tan(x)**2)**(1/2)"],
["(-3+cos(2*x))/cos(x)**4/(4-cot(x)**2)**(1/2)",x,5,"-2/3*(4-cot(x)**2)**(1/2)*tan(x)-1/3*(4-cot(x)**2)**(1/2)*tan(x)**3"],
["(3+sin(x)**2)*tan(x)**3/(-2+cos(x)**2)/(5-4*sec(x)**2)**(3/2)",x,16,"-1/18*atanh(1/3*(5-4*sec(x)**2)**(1/2)*3**(1/2))*3**(1/2)-1/25*atanh(1/5*(5-4*sec(x)**2)**(1/2)*5**(1/2))*5**(1/2)-2/15/(5-4*sec(x)**2)**(1/2)"],
["(sec(x)**2-3*(4*sec(x)**2+5*tan(x)**2)**(1/2)*tan(x))/sin(x)**2/(4*sec(x)**2+5*tan(x)**2)**(3/2)",x,10,"-3/4*ln(tan(x))+3/8*ln(4+9*tan(x)**2)-1/4*cot(x)/(4+9*tan(x)**2)**(1/2)-7/8*tan(x)/(4+9*tan(x)**2)**(1/2)"],
["tan(x)*(1+5*tan(x)**2)**(5/2)",x,7,"-32*atan(1/2*(1+5*tan(x)**2)**(1/2))+16*(1+5*tan(x)**2)**(1/2)-4/3*(1+5*tan(x)**2)**(3/2)+1/5*(1+5*tan(x)**2)**(5/2)"],
["tan(x)/(1+5*tan(x)**2)**(5/2)",x,6,"1/32*atan(1/2*(1+5*tan(x)**2)**(1/2))+1/16/(1+5*tan(x)**2)**(1/2)-1/12/(1+5*tan(x)**2)**(3/2)"],
["tan(x)/(a**3+b**3*tan(x)**2)**(1/3)",x,6,"1/2*ln(cos(x))/(a**3-b**3)**(1/3)+3/4*ln((a**3-b**3)**(1/3)-(a**3+b**3*tan(x)**2)**(1/3))/(a**3-b**3)**(1/3)+1/2*atan(1/3*(1+2*(a**3+b**3*tan(x)**2)**(1/3)/(a**3-b**3)**(1/3))*3**(1/2))*3**(1/2)/(a**3-b**3)**(1/3)"],
["tan(x)*(1-7*tan(x)**2)**(2/3)",x,7,"2*ln(cos(x))+3*ln(2-(1-7*tan(x)**2)**(1/3))+2*atan(1/3*(1+(1-7*tan(x)**2)**(1/3))*3**(1/2))*3**(1/2)+3/4*(1-7*tan(x)**2)**(2/3)"],
["cot(x)/(a**4+b**4*csc(x)**2)**(1/4)",x,6,"-atan((a**4+b**4*csc(x)**2)**(1/4)/a)/a+atanh((a**4+b**4*csc(x)**2)**(1/4)/a)/a"],
["cot(x)/(a**4-b**4*csc(x)**2)**(1/4)",x,6,"-atan((a**4-b**4*csc(x)**2)**(1/4)/a)/a+atanh((a**4-b**4*csc(x)**2)**(1/4)/a)/a"],
["tan(x)*((1-3*sec(x)**2)**(1/3)*sin(x)**2+3*tan(x)**2)/cos(x)**2/(1-3*sec(x)**2)**(5/6)/(1-(1-3*sec(x)**2)**(1/2))",x,29,"1/4*ln(sec(x)**2)-3/2*ln(1-(1-3*sec(x)**2)**(1/6))+1/3*ln(1-(1-3*sec(x)**2)**(1/2))-(1-3*sec(x)**2)**(1/6)-1/4*(1-3*sec(x)**2)**(2/3)+atan(1/3*(1+2*(1-3*sec(x)**2)**(1/6))*3**(1/2))*3**(1/2)+1/2/(1-(1-3*sec(x)**2)**(1/2))"],
["(-cos(2*x)+2*tan(x)**2)/cos(x)**2/(tan(x)*tan(2*x))**(3/2)",x,-22,"2*atanh(tan(x)/(tan(x)*tan(2*x))**(1/2))-11/8*atanh(2**(1/2)*tan(x)/(tan(x)*tan(2*x))**(1/2))*2**(1/2)+3/4*tan(x)/(tan(x)*tan(2*x))**(1/2)+1/2*tan(x)/(tan(x)*tan(2*x))**(3/2)+2/3*tan(x)**3/(tan(x)*tan(2*x))**(3/2)"],
["tan(x)/(a**3-b**3*cos(x)**n)**(4/3)",x,7,"-3/a**3/n/(a**3-b**3*cos(x)**n)**(1/3)+1/2*ln(cos(x))/a**4-3/2*ln(a-(a**3-b**3*cos(x)**n)**(1/3))/a**4/n-atan(1/3*(a+2*(a**3-b**3*cos(x)**n)**(1/3))/a*3**(1/2))*3**(1/2)/a**4/n"],
["(1+2*cos(x)**9)**(5/6)*tan(x)",x,14,"1/3*atanh((1+2*cos(x)**9)**(1/6))-1/9*atanh((1+2*cos(x)**9)**(1/2))-2/15*(1+2*cos(x)**9)**(5/6)+1/9*atan(1/3*(1-(1+2*cos(x)**9)**(1/3))/(1+2*cos(x)**9)**(1/6)*3**(1/2))*3**(1/2)"],
["cot(x)*sin(x)**9/(2-5*sin(x)**3)**(4/3)",x,4,"4/125/(2-5*sin(x)**3)**(1/3)+2/125*(2-5*sin(x)**3)**(2/3)-1/625*(2-5*sin(x)**3)**(5/3)"],
["tan(x)*(1+(1-8*tan(x)**2)**(1/3))/cos(x)**2/(1-8*tan(x)**2)**(2/3)",x,2,"-3/32*(1+(1-8*tan(x)**2)**(1/3))**2"],
["cot(x)*(1+(1-8*tan(x)**2)**(1/3))/cos(x)**2/(1-8*tan(x)**2)**(2/3)",x,15,"-ln(tan(x))+3/2*ln(1-(1-8*tan(x)**2)**(1/3))"],
["(5*cos(x)**2-(-1+5*sin(x)**2)**(1/2))*tan(x)/(-1+5*sin(x)**2)**(1/4)/(2+(-1+5*sin(x)**2)**(1/2))",x,14,"2*(-1+5*sin(x)**2)**(1/4)-3/2*atan(1/2*(-1+5*sin(x)**2)**(1/4)*2**(1/2))*2**(1/2)-1/4*atanh(1/2*(-1+5*sin(x)**2)**(1/4)*2**(1/2))*2**(1/2)-1/2*(-1+5*sin(x)**2)**(1/4)/(2+(-1+5*sin(x)**2)**(1/2))"],
["cos(x)**4*cos(2*x)**(2/3)*tan(x)",x,4,"-3/40*cos(2*x)**(5/3)-3/64*cos(2*x)**(8/3)"],
["sin(x)**6*tan(x)/cos(2*x)**(3/4)",x,-14,"7/4*cos(2*x)**(1/4)-1/5*cos(2*x)**(5/4)+1/36*cos(2*x)**(9/4)+1/2*atan(1/2*(1-cos(2*x)**(1/2))/cos(2*x)**(1/4)*2**(1/2))*2**(1/2)-1/2*atanh(1/2*(1+cos(2*x)**(1/2))/cos(2*x)**(1/4)*2**(1/2))*2**(1/2)"],
["(tan(x)*tan(2*x))**(1/2)",x,3,"-atanh(tan(x)/(tan(x)*tan(2*x))**(1/2))"],
["(cot(2*x)/cot(x))**(1/2)",x,6,"atan(2**(1/2)*tan(x)/(1-tan(x)**2)**(1/2))-1/2*asin(tan(x))*2**(1/2)"],
["1/x**5/(x**2+5)",x,3,"-1/20/x**4+1/50/x**2+1/125*ln(x)-1/250*ln(x**2+5)"],
["1/x**6/(x**2+5)",x,4,"-1/25/x**5+1/75/x**3-1/125/x-1/625*atan(1/5*x*5**(1/2))*5**(1/2)"],
["1/x/(x**2-4)**4",x,3,"1/24/(-x**2+4)**3+1/64/(-x**2+4)**2+1/128/(-x**2+4)+1/256*ln(x)-1/512*ln(-x**2+4)"],
["1/x/(x**2-2)**(5/2)",x,5,"-1/6/(x**2-2)**(3/2)+1/8*atan(1/2*(x**2-2)**(1/2)*2**(1/2))*2**(1/2)+1/4/(x**2-2)**(1/2)"],
["(x**2-10)**(5/2)/x",x,6,"-10/3*(x**2-10)**(3/2)+1/5*(x**2-10)**(5/2)-100*atan(1/10*(x**2-10)**(1/2)*10**(1/2))*10**(1/2)+100*(x**2-10)**(1/2)"],
["x**(1+2*n)",x,1,"1/2*x**(2+2*n)/(1+n)"],
["x**7/(x**2-5)**3",x,3,"1/2*x**2-125/4/(-x**2+5)**2+75/2/(-x**2+5)+15/2*ln(-x**2+5)"],
["(3*x**5-4*x**3)/(x**2-1)**5",x,4,"1/8/(-x**2+1)**4+1/3/(-x**2+1)**3-3/4/(-x**2+1)**2"],
["x**3*(x**2+1)**(9/14)",x,3,"-7/23*(x**2+1)**(23/14)+7/37*(x**2+1)**(37/14)"],
["x**5/(x**2-4)**(13/6)",x,3,"-48/7/(x**2-4)**(7/6)-24/(x**2-4)**(1/6)+3/5*(x**2-4)**(5/6)"],
["1/(2*x**2+1)**(5/2)",x,2,"1/3*x/(2*x**2+1)**(3/2)+2/3*x/(2*x**2+1)**(1/2)"],
["1/(x**2-2*x-1)**(5/2)",x,2,"1/6*(1-x)/(x**2-2*x-1)**(3/2)+1/6*(-1+x)/(x**2-2*x-1)**(1/2)"],
["1/x**4/(x**2-8)**(3/2)",x,3,"1/24/x**3/(x**2-8)**(1/2)+1/48/x/(x**2-8)**(1/2)-1/192*x/(x**2-8)**(1/2)"],
["(x**2+5)**2/x**(13/3)",x,2,"-15/2/x**(10/3)-15/2/x**(4/3)+3/2*x**(2/3)"],
["1/x**7/(x**2+1)**3",x,3,"-1/6/x**6+3/4/x**4-3/x**2-1/4/(x**2+1)**2-2/(x**2+1)-10*ln(x)+5*ln(x**2+1)"],
["((x**2+2)/x**2)**(7/9)/(x**2+2)**(3/2)",x,3,"-9/10*(1+2/x**2)**(7/9)*x/(x**2+2)**(1/2)"],
["x**4/(-x**2+10**(1/2))**(9/2)",x,2,"1/70*x**5*10**(1/2)/(-x**2+10**(1/2))**(7/2)+1/175*x**5/(-x**2+10**(1/2))**(5/2)"],
["x**2/(-x**2+3)**(3/2)",x,2,"-asin(1/3*x*3**(1/2))+x/(-x**2+3)**(1/2)"],
["(-x**2+25)**(3/2)/x**4",x,3,"-1/3*(-x**2+25)**(3/2)/x**3+asin(1/5*x)+(-x**2+25)**(1/2)/x"],
["1/(-2*x**2+1)**(7/2)",x,3,"1/5*x/(-2*x**2+1)**(5/2)+4/15*x/(-2*x**2+1)**(3/2)+8/15*x/(-2*x**2+1)**(1/2)"],
["1/(-x**2+6*x-7)**(5/2)",x,2,"1/6*(-3+x)/(-x**2+6*x-7)**(3/2)+1/6*(-3+x)/(-x**2+6*x-7)**(1/2)"],
["(-2*x**2-2*x+1)**3",x,2,"x-3*x**2+2*x**3+4*x**4-12/5*x**5-4*x**6-8/7*x**7"],
["(-1+5*x)*(x**2-x-1)**2",x,2,"-x+3/2*x**2+11/3*x**3-3/4*x**4-11/5*x**5+5/6*x**6"],
["(1+3*x)/(2*x**2-8*x+1)**(5/2)",x,2,"1/6*(1-2*x)/(2*x**2-8*x+1)**(3/2)-2/21*(2-x)/(2*x**2-8*x+1)**(1/2)"],
["(8*x**3-8*x-1)/(-4*x**2+2*x+1)**(5/2)",x,2,"-4/15*(1+x)/(-4*x**2+2*x+1)**(3/2)+1/75*(-7-122*x)/(-4*x**2+2*x+1)**(1/2)"],
["x**2*cos(x)**5",x,9,"16/15*x*cos(x)+8/45*x*cos(x)**3+2/25*x*cos(x)**5-298/225*sin(x)+8/15*x**2*sin(x)+4/15*x**2*cos(x)**2*sin(x)+1/5*x**2*cos(x)**4*sin(x)+76/675*sin(x)**3-2/125*sin(x)**5"],
["x**3*sin(x)**3",x,8,"40/9*x*cos(x)-2/3*x**3*cos(x)-40/9*sin(x)+2*x**2*sin(x)+2/9*x*cos(x)*sin(x)**2-1/3*x**3*cos(x)*sin(x)**2-2/27*sin(x)**3+1/3*x**2*sin(x)**3"],
["x**2*sin(x)**6",x,13,"-245/1152*x+5/48*x**3+245/1152*cos(x)*sin(x)-5/16*x**2*cos(x)*sin(x)+5/16*x*sin(x)**2+65/1728*cos(x)*sin(x)**3-5/24*x**2*cos(x)*sin(x)**3+5/48*x*sin(x)**4+1/108*cos(x)*sin(x)**5-1/6*x**2*cos(x)*sin(x)**5+1/18*x*sin(x)**6"],
["x**2*cos(x)*sin(x)**2",x,4,"4/9*x*cos(x)-4/9*sin(x)+2/9*x*cos(x)*sin(x)**2-2/27*sin(x)**3+1/3*x**2*sin(x)**3"],
["x*cos(x)**4/sin(x)**2",x,6,"-3/4*x**2-1/4*cos(x)**2-x*cot(x)+ln(sin(x))-1/2*x*cos(x)*sin(x)"],
["x*sin(x)**3/cos(x)**4",x,5,"5/6*atanh(sin(x))-x*sec(x)+1/3*x*sec(x)**3-1/6*sec(x)*tan(x)"],
["x*sin(x)/cos(x)**3",x,3,"1/2*x*sec(x)**2-1/2*tan(x)"],
["x*sin(x)**3/cos(x)",x,8,"1/4*x+1/2*I*x**2-x*ln(1+exp(2*I*x))+1/2*I*polylog(2,-exp(2*I*x))-1/4*cos(x)*sin(x)-1/2*x*sin(x)**2"],
["x*sin(x)**3/cos(x)**3",x,7,"1/2*x-1/2*I*x**2+x*ln(1+exp(2*I*x))-1/2*I*polylog(2,-exp(2*I*x))-1/2*tan(x)+1/2*x*tan(x)**2"],
["(2*x+sin(2*x))/(cos(x)+x*sin(x))**2",x,2,"2/(1+cot(x)/x)"],
["x**2/(x*cos(x)-sin(x))**2",x,3,"-cot(x)+x*csc(x)/(x*cos(x)-sin(x))"],
["a**(m*x)*b**(n*x)",x,2,"a**(m*x)*b**(n*x)/(m*ln(a)+n*ln(b))"],
["(a**x-b**x)**2/(a**x)/(b**x)",x,9,"-2*x+(a**x/(b**x)-b**x/(a**x))/(ln(a)-ln(b))"],
["-1/exp(x)+exp(x)",x,3,"exp(-x)+exp(x)"],
["(-1/exp(x)+exp(x))**2",x,4,"-1/2/exp(2*x)+1/2*exp(2*x)-2*x"],
["(-1/exp(x)+exp(x))**3",x,3,"1/3/exp(3*x)-3/exp(x)-3*exp(x)+1/3*exp(3*x)"],
["(-1/exp(x)+exp(x))**4",x,4,"-1/4/exp(4*x)+2/exp(2*x)-2*exp(2*x)+1/4*exp(4*x)+6*x"],
["(-1/exp(x)+exp(x))**n",x,4,"-(-1/exp(x)+exp(x))**n*(1-exp(2*x))*hyper([1, 1+1/2*n],[1-1/2*n],exp(2*x))/n"],
["(1/(a**(4*x))-a**(2*x))**3",x,4,"3*x-1/12/(a**(12*x))/ln(a)+1/2/(a**(6*x))/ln(a)-1/6*a**(6*x)/ln(a)"],
["a**(k*x)+a**(l*x)",x,3,"a**(k*x)/k/ln(a)+a**(l*x)/l/ln(a)"],
["(a**(k*x)+a**(l*x))**2",x,6,"1/2*a**(2*k*x)/k/ln(a)+1/2*a**(2*l*x)/l/ln(a)+2*a**((k+l)*x)/(k+l)/ln(a)"],
["(a**(k*x)+a**(l*x))**3",x,7,"1/3*a**(3*k*x)/k/ln(a)+1/3*a**(3*l*x)/l/ln(a)+3*a**((2*k+l)*x)/(2*k+l)/ln(a)+3*a**((k+2*l)*x)/(k+2*l)/ln(a)"],
["(a**(k*x)+a**(l*x))**4",x,8,"1/4*a**(4*k*x)/k/ln(a)+1/4*a**(4*l*x)/l/ln(a)+3*a**(2*(k+l)*x)/(k+l)/ln(a)+4*a**((3*k+l)*x)/(3*k+l)/ln(a)+4*a**((k+3*l)*x)/(k+3*l)/ln(a)"],
["(a**(k*x)+a**(l*x))**n",x,2,"(1+a**((k-l)*x))*(a**(k*x)+a**(l*x))**n*hyper([1, 1+k*n/(k-l)],[1+l*n/(k-l)],-a**((k-l)*x))/l/n/ln(a)"],
["a**(k*x)-a**(l*x)",x,3,"a**(k*x)/k/ln(a)-a**(l*x)/l/ln(a)"],
["(a**(k*x)-a**(l*x))**2",x,6,"1/2*a**(2*k*x)/k/ln(a)+1/2*a**(2*l*x)/l/ln(a)-2*a**((k+l)*x)/(k+l)/ln(a)"],
["(a**(k*x)-a**(l*x))**3",x,7,"1/3*a**(3*k*x)/k/ln(a)-1/3*a**(3*l*x)/l/ln(a)-3*a**((2*k+l)*x)/(2*k+l)/ln(a)+3*a**((k+2*l)*x)/(k+2*l)/ln(a)"],
["(a**(k*x)-a**(l*x))**4",x,8,"1/4*a**(4*k*x)/k/ln(a)+1/4*a**(4*l*x)/l/ln(a)+3*a**(2*(k+l)*x)/(k+l)/ln(a)-4*a**((3*k+l)*x)/(3*k+l)/ln(a)-4*a**((k+3*l)*x)/(k+3*l)/ln(a)"],
["(a**(k*x)-a**(l*x))**n",x,2,"(1-a**((k-l)*x))*(a**(k*x)-a**(l*x))**n*hyper([1, 1+k*n/(k-l)],[1+l*n/(k-l)],a**((k-l)*x))/l/n/ln(a)"],
["1+a**(m*x)",x,2,"x+a**(m*x)/m/ln(a)"],
["(1+a**(m*x))**2",x,3,"x+2*a**(m*x)/m/ln(a)+1/2*a**(2*m*x)/m/ln(a)"],
["(1+a**(m*x))**3",x,3,"x+3*a**(m*x)/m/ln(a)+3/2*a**(2*m*x)/m/ln(a)+1/3*a**(3*m*x)/m/ln(a)"],
["(1+a**(m*x))**4",x,3,"x+4*a**(m*x)/m/ln(a)+3*a**(2*m*x)/m/ln(a)+4/3*a**(3*m*x)/m/ln(a)+1/4*a**(4*m*x)/m/ln(a)"],
["(1+a**(m*x))**n",x,2,"-(1+a**(m*x))**(1+n)*hyper([1, 1+n],[2+n],1+a**(m*x))/m/(1+n)/ln(a)"],
["1-a**(m*x)",x,2,"x-a**(m*x)/m/ln(a)"],
["(1-a**(m*x))**2",x,3,"x-2*a**(m*x)/m/ln(a)+1/2*a**(2*m*x)/m/ln(a)"],
["(1-a**(m*x))**3",x,3,"x-3*a**(m*x)/m/ln(a)+3/2*a**(2*m*x)/m/ln(a)-1/3*a**(3*m*x)/m/ln(a)"],
["(1-a**(m*x))**4",x,3,"x-4*a**(m*x)/m/ln(a)+3*a**(2*m*x)/m/ln(a)-4/3*a**(3*m*x)/m/ln(a)+1/4*a**(4*m*x)/m/ln(a)"],
["(1-a**(m*x))**n",x,2,"-(1-a**(m*x))**(1+n)*hyper([1, 1+n],[2+n],1-a**(m*x))/m/(1+n)/ln(a)"],
["1/(b+a*exp(n*x))",x,4,"x/b-ln(b+a*exp(n*x))/b/n"],
["exp(x)/(b+a*exp(3*x))",x,7,"1/2*ln(b**(1/3)+a**(1/3)*exp(x))/a**(1/3)/b**(2/3)-1/6*ln(b+a*exp(3*x))/a**(1/3)/b**(2/3)-1/3*atan(1/3*(b**(1/3)-2*a**(1/3)*exp(x))/b**(1/3)*3**(1/2))/a**(1/3)/b**(2/3)*3**(1/2)"],
["(-1+exp(x))/(1+exp(x))",x,3,"-x+2*ln(1+exp(x))"],
["exp(4*x)/(1-2*exp(2*x)+3*exp(4*x))",x,5,"1/12*ln(1-2*exp(2*x)+3*exp(4*x))-1/12*atan(1/2*(1-3*exp(2*x))*2**(1/2))*2**(1/2)"],
["(exp(x)+exp(5*x))/(-1+exp(x)-exp(2*x)+exp(3*x))",x,6,"exp(x)+1/2*exp(2*x)-atan(exp(x))+ln(1-exp(x))-1/2*ln(1+exp(2*x))"],
["exp(n*x)*(a+b*exp(n*x))**(r/s)",x,2,"(a+b*exp(n*x))**((r+s)/s)*s/b/n/(r+s)"],
["(1-2*exp(1/3*x))**(1/4)",x,6,"12*(1-2*exp(1/3*x))**(1/4)-6*atan((1-2*exp(1/3*x))**(1/4))-6*atanh((1-2*exp(1/3*x))**(1/4))"],
["(a+b*exp(n*x))**(r/s)",x,2,"-(a+b*exp(n*x))**((r+s)/s)*s*hyper([1, (r+s)/s],[2+r/s],1+b*exp(n*x)/a)/a/n/(r+s)"],
["exp(x)/(a**2+exp(2*x))**(1/2)",x,3,"atanh(exp(x)/(a**2+exp(2*x))**(1/2))"],
["exp(x)/(-a**2+exp(2*x))**(1/2)",x,3,"atanh(exp(x)/(-a**2+exp(2*x))**(1/2))"],
["exp(3/4*x)/(-2+exp(3/4*x))/(-2+exp(3/4*x)+exp(3/2*x))**(1/2)",x,3,"2/3*atanh(1/4*(2-5*exp(3/4*x))/(-2+exp(3/4*x)+exp(3/2*x))**(1/2))"],
["(-3+exp(7*x))**(2/3)/exp(2*x)",x,4,"1/6*(-3+exp(7*x))**(5/3)*hyper([1, 29/21],[5/7],1/3*exp(7*x))/exp(2*x)"],
["exp(2*x)/(3-exp(1/2*x))**(3/4)",x,3,"-216*(3-exp(1/2*x))**(1/4)+216/5*(3-exp(1/2*x))**(5/4)-8*(3-exp(1/2*x))**(9/4)+8/13*(3-exp(1/2*x))**(13/4)"],
["x**3/exp(1/2*x)",x,4,"-96/exp(1/2*x)-48*x/exp(1/2*x)-12*x**2/exp(1/2*x)-2*x**3/exp(1/2*x)"],
["1/exp(1/2*x)/x**3",x,3,"-1/2/exp(1/2*x)/x**2+1/4/exp(1/2*x)/x+1/8*Ei(-1/2*x)"],
["a**(3*x)*x**2",x,3,"2/27*a**(3*x)/ln(a)**3-2/9*a**(3*x)*x/ln(a)**2+1/3*a**(3*x)*x**2/ln(a)"],
["exp(x**2)*x*(x**2+1)",x,5,"1/2*exp(x**2)*x**2"],
["x/(exp(-x)+exp(x))**2",x,6,"1/2*x-1/2*x/(1+exp(2*x))-1/4*ln(1+exp(2*x))"],
["exp(x)*(-x**2-x+1)/(-x**2+1)**(1/2)",x,1,"exp(x)*(-x**2+1)**(1/2)"],
["cos(2*x)/exp(3*x)",x,1,"-3/13*cos(2*x)/exp(3*x)+2/13*sin(2*x)/exp(3*x)"],
["(cos(1/2*x)+sin(1/2*x))/exp(x)**(1/3)",x,6,"-30/13*cos(1/2*x)/exp(x)**(1/3)+6/13*sin(1/2*x)/exp(x)**(1/3)"],
["cos(3/2*x)/(3**(3*x))**(1/4)",x,2,"-4/3*cos(3/2*x)*ln(3)/(3**(3*x))**(1/4)/(4+ln(3)**2)+8/3*sin(3/2*x)/(3**(3*x))**(1/4)/(4+ln(3)**2)"],
["exp(m*x)*cos(x)**2",x,2,"2*exp(m*x)/m/(m**2+4)+exp(m*x)*m*cos(x)**2/(m**2+4)+2*exp(m*x)*cos(x)*sin(x)/(m**2+4)"],
["exp(m*x)*sin(x)**3",x,2,"-6*exp(m*x)*cos(x)/(m**4+10*m**2+9)+6*exp(m*x)*m*sin(x)/(m**4+10*m**2+9)-3*exp(m*x)*cos(x)*sin(x)**2/(m**2+9)+exp(m*x)*m*sin(x)**3/(m**2+9)"],
["cos(1/3*x)**3/exp(x)**(1/2)",x,3,"-48/65*cos(1/3*x)/exp(x)**(1/2)-2/5*cos(1/3*x)**3/exp(x)**(1/2)+32/65*sin(1/3*x)/exp(x)**(1/2)+4/5*cos(1/3*x)**2*sin(1/3*x)/exp(x)**(1/2)"],
["exp(2*x)*cos(x)**2*sin(x)**2",x,4,"1/16*exp(2*x)-1/80*exp(2*x)*cos(4*x)-1/40*exp(2*x)*sin(4*x)"],
["exp(3*x)*cos(3/2*x)**2*sin(3/2*x)**2",x,4,"1/24*exp(3*x)-1/120*exp(3*x)*cos(6*x)-1/60*exp(3*x)*sin(6*x)"],
["exp(m*x)*tan(x)**2",x,5,"-exp(m*x)/m+4*exp((2*I+m)*x)*hyper([2, 1-1/2*I*m],[2-1/2*I*m],-exp(2*I*x))/(2*I+m)"],
["exp(m*x)/sin(x)**2",x,1,"-4*exp((2*I+m)*x)*hyper([2, 1-1/2*I*m],[2-1/2*I*m],exp(2*I*x))/(2*I+m)"],
["exp(m*x)/cos(x)**3",x,2,"8*exp((3*I+m)*x)*hyper([3, 3/2-1/2*I*m],[5/2-1/2*I*m],-exp(2*I*x))/(3*I+m)"],
["exp(x)/(1+cos(x))",x,2,"(1-I)*exp((1+I)*x)*hyper([2, 1-I],[2-I],-exp(I*x))"],
["exp(x)/(1-cos(x))",x,2,"(-1+I)*exp((1+I)*x)*hyper([2, 1-I],[2-I],exp(I*x))"],
["exp(x)/(1+sin(x))",x,2,"(-1+I)*exp((1-I)*x)*hyper([2, 1+I],[2+I],-I/exp(I*x))"],
["exp(x)/(1-sin(x))",x,2,"(1+I)*exp((1+I)*x)*hyper([2, 1-I],[2-I],-I*exp(I*x))"],
["exp(x)*(1-sin(x))/(1-cos(x))",x,1,"-exp(x)*sin(x)/(1-cos(x))"],
["exp(x)*(1+sin(x))/(1-cos(x))",x,7,"(-2+2*I)*exp((1+I)*x)*hyper([2, 1-I],[2-I],exp(I*x))+exp(x)*sin(x)/(1-cos(x))"],
["exp(x)*(1+sin(x))/(1+cos(x))",x,1,"exp(x)*sin(x)/(1+cos(x))"],
["exp(x)*(1-sin(x))/(1+cos(x))",x,7,"(2-2*I)*exp((1+I)*x)*hyper([2, 1-I],[2-I],-exp(I*x))-exp(x)*sin(x)/(1+cos(x))"],
["exp(x)*(1-cos(x))/(1-sin(x))",x,7,"(2+2*I)*exp((1+I)*x)*hyper([2, 1-I],[2-I],-I*exp(I*x))-exp(x)*cos(x)/(1-sin(x))"],
["exp(x)*(1+cos(x))/(1-sin(x))",x,1,"exp(x)*cos(x)/(1-sin(x))"],
["exp(x)*(1+cos(x))/(1+sin(x))",x,7,"(-2-2*I)*exp((1+I)*x)*hyper([2, 1-I],[2-I],I*exp(I*x))+exp(x)*cos(x)/(1+sin(x))"],
["exp(x)*(1-cos(x))/(1+sin(x))",x,1,"-exp(x)*cos(x)/(1+sin(x))"],
["exp(x)*x*cos(x)",x,4,"1/2*exp(x)*x*cos(x)-1/2*exp(x)*sin(x)+1/2*exp(x)*x*sin(x)"],
["exp(x)*x**2*sin(x)",x,11,"-1/2*exp(x)*cos(x)+exp(x)*x*cos(x)-1/2*exp(x)*x**2*cos(x)-1/2*exp(x)*sin(x)+1/2*exp(x)*x**2*sin(x)"],
["x**2*sin(x)/exp(3*x)",x,11,"-13/250*cos(x)/exp(3*x)-3/25*x*cos(x)/exp(3*x)-1/10*x**2*cos(x)/exp(3*x)-9/250*sin(x)/exp(3*x)-4/25*x*sin(x)/exp(3*x)-3/10*x**2*sin(x)/exp(3*x)"],
["exp(1/2*x)*x**2*cos(x)**3",x,-31,"-132/125*exp(1/2*x)*cos(x)+18/25*exp(1/2*x)*x*cos(x)+48/185*exp(1/2*x)*x**2*cos(x)+2/37*exp(1/2*x)*x**2*cos(x)**3-428/50653*exp(1/2*x)*cos(3*x)+70/1369*exp(1/2*x)*x*cos(3*x)-24/125*exp(1/2*x)*sin(x)-24/25*exp(1/2*x)*x*sin(x)+96/185*exp(1/2*x)*x**2*sin(x)+12/37*exp(1/2*x)*x**2*cos(x)**2*sin(x)-792/50653*exp(1/2*x)*sin(3*x)-24/1369*exp(1/2*x)*x*sin(3*x)"],
["exp(2*x)*x**2*sin(4*x)",x,11,"1/250*exp(2*x)*cos(4*x)+2/25*exp(2*x)*x*cos(4*x)-1/5*exp(2*x)*x**2*cos(4*x)-11/500*exp(2*x)*sin(4*x)+3/50*exp(2*x)*x*sin(4*x)+1/10*exp(2*x)*x**2*sin(4*x)"],
["exp(1/2*x)*x**2*cos(x)*sin(x)**2",x,24,"-44/125*exp(1/2*x)*cos(x)+6/25*exp(1/2*x)*x*cos(x)+1/10*exp(1/2*x)*x**2*cos(x)+428/50653*exp(1/2*x)*cos(3*x)-70/1369*exp(1/2*x)*x*cos(3*x)-1/74*exp(1/2*x)*x**2*cos(3*x)-8/125*exp(1/2*x)*sin(x)-8/25*exp(1/2*x)*x*sin(x)+1/5*exp(1/2*x)*x**2*sin(x)+792/50653*exp(1/2*x)*sin(3*x)+24/1369*exp(1/2*x)*x*sin(3*x)-3/37*exp(1/2*x)*x**2*sin(3*x)"],
["cosh(x)",x,1,"sinh(x)"],
["sinh(x)",x,1,"cosh(x)"],
["tanh(x)",x,1,"ln(cosh(x))"],
["coth(x)",x,1,"ln(sinh(x))"],
["sech(x)",x,1,"atan(sinh(x))"],
["csch(x)",x,1,"-atanh(cosh(x))"],
["cosh(x)**2",x,2,"1/2*x+1/2*cosh(x)*sinh(x)"],
["sinh(x)**5",x,2,"cosh(x)-2/3*cosh(x)**3+1/5*cosh(x)**5"],
["tanh(x)**4",x,3,"x-tanh(x)-1/3*tanh(x)**3"],
["csch(x)**3",x,2,"1/2*atanh(cosh(x))-1/2*coth(x)*csch(x)"],
["1/cosh(x)**5",x,3,"3/8*atan(sinh(x))+3/8*sech(x)*tanh(x)+1/4*sech(x)**3*tanh(x)"],
["tanh(x)**5/sech(x)**4",x,4,"-cosh(x)**2+1/4*cosh(x)**4+ln(cosh(x))"],
["sech(x)**(3/4)*tanh(x)**5",x,3,"-4/3*sech(x)**(3/4)+8/11*sech(x)**(11/4)-4/19*sech(x)**(19/4)"],
["1/(a+b*cosh(x))",x,2,"2*atanh((a-b)*tanh(1/2*x)/(a**2-b**2)**(1/2))/(a**2-b**2)**(1/2)"],
["1/(1+cosh(x))**2",x,2,"1/3*sinh(x)/(1+cosh(x))**2+1/3*sinh(x)/(1+cosh(x))"],
["1/(a+b*tanh(x))",x,2,"a*x/(a**2-b**2)-b*ln(a*cosh(x)+b*sinh(x))/(a**2-b**2)"],
["1/(a**2+b**2*cosh(x)**2)",x,2,"atanh(a*tanh(x)/(a**2+b**2)**(1/2))/a/(a**2+b**2)**(1/2)"],
["1/(a**2-b**2*cosh(x)**2)",x,2,"atanh(a*tanh(x)/(a**2-b**2)**(1/2))/a/(a**2-b**2)**(1/2)"],
["1/(1-sinh(x)**4)",x,3,"1/4*atanh(2**(1/2)*tanh(x))*2**(1/2)+1/2*tanh(x)"],
["(cosh(x)**3-sinh(x)**3)/(cosh(x)**3+sinh(x)**3)",x,5,"-4/9*atan(1/3*(1-2*tanh(x))*3**(1/2))*3**(1/2)-1/3/(1+tanh(x))"],
["cosh(x)*cosh(2*x)*cosh(3*x)",x,5,"1/4*x+1/8*sinh(2*x)+1/16*sinh(4*x)+1/24*sinh(6*x)"],
["cosh(3/2*x)*sinh(x)*sinh(5/2*x)",x,5,"-1/4*x+1/8*sinh(2*x)-1/12*sinh(3*x)+1/20*sinh(5*x)"],
["cosh(x)*(-cosh(2*x)+tanh(x))/(sinh(x)**2+sinh(2*x))/sinh(2*x)**(1/2)",x,8,"1/6*atan(sinh(x)/sinh(2*x)**(1/2))+atan(sech(x)*(cosh(x)*sinh(x))**(1/2))*2**(1/2)-1/3*atanh(sech(x)*(cosh(x)*sinh(x))**(1/2))*2**(1/2)+cosh(x)/sinh(2*x)**(1/2)"],
["sinh(x)/(-9+4*cosh(x)**2)**(5/2)",x,3,"-1/27*cosh(x)/(-9+4*cosh(x)**2)**(3/2)+2/243*cosh(x)/(-9+4*cosh(x)**2)**(1/2)"],
["sinh(x)**2*sinh(2*x)/(1-sinh(x)**2)**(3/2)",x,5,"2/(1-sinh(x)**2)**(1/2)+2*(1-sinh(x)**2)**(1/2)"],
["cosh(x)/cosh(2*x)**(1/2)",x,2,"1/2*asinh(sinh(x)*2**(1/2))*2**(1/2)"],
["x*tanh(x)**2",x,3,"1/2*x**2+ln(cosh(x))-x*tanh(x)"],
["x*coth(x)**2",x,3,"1/2*x**2-x*coth(x)+ln(sinh(x))"],
["(x+cosh(x)+sinh(x))/(cosh(x)-sinh(x))",x,13,"-exp(x)+1/2*exp(2*x)+exp(x)*x"],
["(x+cosh(x)+sinh(x))/(1+cosh(x))",x,8,"x-(1-x)*tanh(1/2*x)"],
["exp(2*x)/sinh(x)**4",x,3,"8/3*exp(6*x)/(1-exp(2*x))**3"],
["1/exp(2*x)/cosh(x)**4",x,3,"-8/3/(1+exp(2*x))**3"],
["exp(x)/(cosh(x)-sinh(x))",x,2,"1/2*exp(2*x)"],
["exp(m*x)/(cosh(x)+sinh(x))",x,3,"exp((-1+m)*x)/(-1+m)"],
["exp(x)/(cosh(x)+sinh(x))",x,2,"x"],
["exp(x)/(1-cosh(x))",x,4,"-2/(1-exp(x))-2*ln(1-exp(x))"],
["exp(x)*(1+sinh(x))/(1+cosh(x))",x,3,"exp(x)+2/(1+exp(x))"],
["exp(x)*(1-sinh(x))/(1-cosh(x))",x,3,"exp(x)-2/(1-exp(x))"],
["x**m*ln(x)",x,1,"-x**(1+m)/(1+m)**2+x**(1+m)*ln(x)/(1+m)"],
["x**m*ln(x)**2",x,2,"2*x**(1+m)/(1+m)**3-2*x**(1+m)*ln(x)/(1+m)**2+x**(1+m)*ln(x)**2/(1+m)"],
["ln(x)**2/x**(5/2)",x,2,"-16/27/x**(3/2)-8/9*ln(x)/x**(3/2)-2/3*ln(x)**2/x**(3/2)"],
["(b*x+a)*ln(x)",x,2,"-a*x-1/4*b*x**2+a*x*ln(x)+1/2*b*x**2*ln(x)"],
["(b*x+a)**3*ln(x)",x,4,"-a**3*x-3/4*a**2*b*x**2-1/3*a*b**2*x**3-1/16*b**3*x**4-1/4*a**4*ln(x)/b+1/4*(b*x+a)**4*ln(x)/b"],
["-1-8*ln(x)**2+3*ln(x)**3",x,6,"-35*x+34*x*ln(x)-17*x*ln(x)**2+3*x*ln(x)**3"],
["(x**4+1)*(1-2*ln(x)+ln(x)**3)",x,13,"-3*x+169/625*x**5+4*x*ln(x)-44/125*x**5*ln(x)-3*x*ln(x)**2-3/25*x**5*ln(x)**2+x*ln(x)**3+1/5*x**5*ln(x)**3"],
["1/x**3/ln(x)**4",x,5,"-4/3*Ei(-2*ln(x))-1/3/x**2/ln(x)**3+1/3/x**2/ln(x)**2-2/3/x**2/ln(x)"],
["ln(x)/(b*x+a)",x,2,"ln(x)*ln(1+b*x/a)/b+polylog(2,-b*x/a)/b"],
["ln(x)/(b*x+a)**2",x,2,"x*ln(x)/a/(b*x+a)-ln(b*x+a)/a/b"],
["ln(x)**n/x",x,2,"ln(x)**(1+n)/(1+n)"],
["(a+b*ln(x))**n/x",x,2,"(a+b*ln(x))**(1+n)/b/(1+n)"],
["1/x/(a+b*ln(x))",x,2,"ln(a+b*ln(x))/b"],
["1/x/((a+b*ln(x))**n)",x,2,"(a+b*ln(x))**(1-n)/b/(1-n)"],
["1/x/(a**2+ln(x)**2)**(1/2)",x,3,"atanh(ln(x)/(a**2+ln(x)**2)**(1/2))"],
["1/x/(-a**2+ln(x)**2)**(1/2)",x,3,"atanh(ln(x)/(-a**2+ln(x)**2)**(1/2))"],
["1/x/(a**2-ln(x)**2)**(1/2)",x,3,"atan(ln(x)/(a**2-ln(x)**2)**(1/2))"],
["1/x/ln(x)/(a**2+ln(x)**2)**(1/2)",x,4,"-atanh((a**2+ln(x)**2)**(1/2)/a)/a"],
["1/x/ln(x)/(a**2-ln(x)**2)**(1/2)",x,4,"-atanh((a**2-ln(x)**2)**(1/2)/a)/a"],
["1/x/ln(x)/(-a**2+ln(x)**2)**(1/2)",x,4,"atan((-a**2+ln(x)**2)**(1/2)/a)/a"],
["ln(ln(x))/x",x,1,"-ln(x)+ln(x)*ln(ln(x))"],
["ln(ln(x))**2/x",x,3,"2*ln(x)-2*ln(x)*ln(ln(x))+ln(x)*ln(ln(x))**2"],
["ln(ln(x))**3/x",x,4,"-6*ln(x)+6*ln(x)*ln(ln(x))-3*ln(x)*ln(ln(x))**2+ln(x)*ln(ln(x))**3"],
["ln(ln(x))**4/x",x,5,"24*ln(x)-24*ln(x)*ln(ln(x))+12*ln(x)*ln(ln(x))**2-4*ln(x)*ln(ln(x))**3+ln(x)*ln(ln(x))**4"],
["ln(ln(x))**n/x",x,3,"uppergamma(1+n,-ln(ln(x)))*ln(ln(x))**n/((-ln(ln(x)))**n)"],
["cot(x)/ln(sin(x))",x,3,"ln(ln(sin(x)))"],
["(1/cos(x)+cos(x))*tan(x)",x,3,"-cos(x)+sec(x)"],
["ln(cosh(x))*sinh(x)",x,2,"-cosh(x)+cosh(x)*ln(cosh(x))"],
["ln(cosh(x))*tanh(x)",x,2,"1/2*ln(cosh(x))**2"],
["ln(x-(x**2+1)**(1/2))",x,2,"x*ln(x-(x**2+1)**(1/2))+(x**2+1)**(1/2)"],
["ln(-1+x)/x**3",x,3,"1/2/x+1/2*ln(1-x)-1/2*ln(-1+x)/x**2-1/2*ln(x)"],
["(-1/exp(x)+exp(x))*ln(1+exp(2*x))",x,8,"-2*exp(x)+ln(1+exp(2*x))/exp(x)+exp(x)*ln(1+exp(2*x))"],
["exp(3/2*x)*ln(-1+exp(x))",x,6,"-4/3*exp(1/2*x)-4/9*exp(3/2*x)+4/3*atanh(exp(1/2*x))+2/3*exp(3/2*x)*ln(-1+exp(x))"],
["cos(x)**3*ln(sin(x))",x,4,"-sin(x)+ln(sin(x))*sin(x)+1/9*sin(x)**3-1/3*ln(sin(x))*sin(x)**3"],
["ln(tan(x))/cos(x)**4",x,4,"-tan(x)+ln(tan(x))*tan(x)-1/9*tan(x)**3+1/3*ln(tan(x))*tan(x)**3"],
["ln(cos(1/2*x))/(1+cos(x))",x,4,"-1/2*x+ln(cos(1/2*x))*sin(x)/(1+cos(x))+tan(1/2*x)"],
["cos(x)*ln(sin(x))/(1+cos(x))**2",x,6,"-2/3*x-1/9*sin(x)/(1+cos(x))**2+8/9*sin(x)/(1+cos(x))-1/3*ln(sin(x))*sin(x)/(1+cos(x))**2+2/3*ln(sin(x))*sin(x)/(1+cos(x))"],
["acos(x)**2/x**5",x,5,"-1/12/x**2-1/4*acos(x)**2/x**4+1/3*ln(x)+1/6*acos(x)*(-x**2+1)**(1/2)/x**3+1/3*acos(x)*(-x**2+1)**(1/2)/x"],
["x**2*asin(x)**2",x,5,"-4/9*x-2/27*x**3+1/3*x**3*asin(x)**2+4/9*asin(x)*(-x**2+1)**(1/2)+2/9*x**2*asin(x)*(-x**2+1)**(1/2)"],
["x**3*atan(x)**2",x,10,"1/12*x**2+1/2*x*atan(x)-1/6*x**3*atan(x)-1/4*atan(x)**2+1/4*x**4*atan(x)**2-1/3*ln(x**2+1)"],
["atan(x)**2/x**5",x,13,"-1/12/x**2-1/6*atan(x)/x**3+1/2*atan(x)/x+1/4*atan(x)**2-1/4*atan(x)**2/x**4-2/3*ln(x)+1/3*ln(x**2+1)"],
["x**3*acsc(x)**2",x,5,"1/12*x**2+1/4*x**4*acsc(x)**2+1/3*ln(x)+1/3*x*acsc(x)*(1-1/x**2)**(1/2)+1/6*x**3*acsc(x)*(1-1/x**2)**(1/2)"],
["asec(x)**4/x**5",x,10,"-3/128/x**4-45/128/x**2-45/128*asec(x)**2+3/16*asec(x)**2/x**4+9/16*asec(x)**2/x**2+3/32*asec(x)**4-1/4*asec(x)**4/x**4-3/32*asec(x)*(1-1/x**2)**(1/2)/x**3-45/64*asec(x)*(1-1/x**2)**(1/2)/x+1/4*asec(x)**3*(1-1/x**2)**(1/2)/x**3+3/8*asec(x)**3*(1-1/x**2)**(1/2)/x"],
["asin(x)*(-x**2+1)**(1/2)",x,3,"-1/4*x**2+1/4*asin(x)**2+1/2*x*asin(x)*(-x**2+1)**(1/2)"],
["acos(x)*(-x**2+1)**(1/2)",x,3,"1/4*x**2-1/4*acos(x)**2+1/2*x*acos(x)*(-x**2+1)**(1/2)"],
["x*acos(x)*(-x**2+1)**(1/2)",x,2,"-1/3*x+1/9*x**3-1/3*(-x**2+1)**(3/2)*acos(x)"],
["(-x**2+1)**(3/2)*asin(x)",x,6,"-5/16*x**2+1/16*x**4+1/4*x*(-x**2+1)**(3/2)*asin(x)+3/16*asin(x)**2+3/8*x*asin(x)*(-x**2+1)**(1/2)"],
["x*(-x**2+1)**(3/2)*asin(x)",x,3,"1/5*x-2/15*x**3+1/25*x**5-1/5*(-x**2+1)**(5/2)*asin(x)"],
["x**3*(-x**2+1)**(3/2)*acos(x)",x,4,"-2/35*x-1/105*x**3+8/175*x**5-1/49*x**7-1/5*(-x**2+1)**(5/2)*acos(x)+1/7*(-x**2+1)**(7/2)*acos(x)"],
["(-x**2+1)**(3/2)*acos(x)/x",x,10,"4/3*x-1/9*x**3+1/3*(-x**2+1)**(3/2)*acos(x)+2*I*acos(x)*atan(x+I*(-x**2+1)**(1/2))-I*polylog(2,-I*(x+I*(-x**2+1)**(1/2)))+I*polylog(2,I*(x+I*(-x**2+1)**(1/2)))+acos(x)*(-x**2+1)**(1/2)"],
["(-x**2+1)**(3/2)*asin(x)/x**6",x,4,"-1/20/x**4+1/5/x**2-1/5*(-x**2+1)**(5/2)*asin(x)/x**5+1/5*ln(x)"],
["x**2*asin(x)/(-x**2+1)**(1/2)",x,3,"1/4*x**2+1/4*asin(x)**2-1/2*x*asin(x)*(-x**2+1)**(1/2)"],
["x**4*asin(x)/(-x**2+1)**(1/2)",x,5,"3/16*x**2+1/16*x**4+3/16*asin(x)**2-3/8*x*asin(x)*(-x**2+1)**(1/2)-1/4*x**3*asin(x)*(-x**2+1)**(1/2)"],
["x*asin(x)/(-x**2+1)**(3/2)",x,2,"-atanh(x)+asin(x)/(-x**2+1)**(1/2)"],
["x*acos(x)/(-x**2+1)**(3/2)",x,2,"atanh(x)+acos(x)/(-x**2+1)**(1/2)"],
["asin(x)/(-x**2+1)**(5/2)",x,4,"-1/6/(-x**2+1)+1/3*x*asin(x)/(-x**2+1)**(3/2)+1/3*ln(-x**2+1)+2/3*x*asin(x)/(-x**2+1)**(1/2)"],
["x**3*asin(x)/(-x**2+1)**(3/2)",x,3,"-x-atanh(x)+asin(x)/(-x**2+1)**(1/2)+asin(x)*(-x**2+1)**(1/2)"],
["asin(x)/x/(-x**2+1)**(3/2)",x,8,"-2*asin(x)*atanh(I*x+(-x**2+1)**(1/2))-atanh(x)+I*polylog(2,-I*x-(-x**2+1)**(1/2))-I*polylog(2,I*x+(-x**2+1)**(1/2))+asin(x)/(-x**2+1)**(1/2)"],
["acos(x)/x**4/(-x**2+1)**(1/2)",x,4,"1/6/x**2-2/3*ln(x)-1/3*acos(x)*(-x**2+1)**(1/2)/x**3-2/3*acos(x)*(-x**2+1)**(1/2)/x"],
["x*acos(x)**2*(-x**2+1)**(1/2)",x,5,"2/27*(-x**2+1)**(3/2)-2/3*x*acos(x)+2/9*x**3*acos(x)-1/3*(-x**2+1)**(3/2)*acos(x)**2+4/9*(-x**2+1)**(1/2)"],
["x**2*asin(x)**3/(-x**2+1)**(1/2)",x,6,"-3/8*x**2-3/8*asin(x)**2+3/4*x**2*asin(x)**2+1/8*asin(x)**4+3/4*x*asin(x)*(-x**2+1)**(1/2)-1/2*x*asin(x)**3*(-x**2+1)**(1/2)"],
["x*atan(x)/(x**2+1)**2",x,3,"1/4*x/(x**2+1)+1/4*atan(x)-1/2*atan(x)/(x**2+1)"],
["x*atan(x)/(x**2+1)**3",x,4,"1/16*x/(x**2+1)**2+3/32*x/(x**2+1)+3/32*atan(x)-1/4*atan(x)/(x**2+1)**2"],
["x**2*atan(x)/(x**2+1)",x,4,"x*atan(x)-1/2*atan(x)**2-1/2*ln(x**2+1)"],
["x**3*atan(x)/(x**2+1)",x,8,"-1/2*x+1/2*atan(x)+1/2*x**2*atan(x)+1/2*I*atan(x)**2+atan(x)*ln(2/(1+I*x))+1/2*I*polylog(2,1-2/(1+I*x))"],
["x**2*atan(x)/(x**2+1)**2",x,2,"-1/4/(x**2+1)-1/2*x*atan(x)/(x**2+1)+1/4*atan(x)**2"],
["x**3*atan(x)/(x**2+1)**2",x,8,"-1/4*x/(x**2+1)-1/4*atan(x)+1/2*atan(x)/(x**2+1)-1/2*I*atan(x)**2-atan(x)*ln(2/(1+I*x))-1/2*I*polylog(2,1-2/(1+I*x))"],
["x**5*atan(x)/(x**2+1)**2",x,17,"-1/2*x+1/4*x/(x**2+1)+3/4*atan(x)+1/2*x**2*atan(x)-1/2*atan(x)/(x**2+1)+I*atan(x)**2+2*atan(x)*ln(2/(1+I*x))+I*polylog(2,1-2/(1+I*x))"],
["(x**2+1)*atan(x)/x**2",x,8,"-atan(x)/x+x*atan(x)+ln(x)-ln(x**2+1)"],
["(x**2+1)*atan(x)/x**5",x,3,"-1/12/x**3-1/4/x-1/4*(x**2+1)**2*atan(x)/x**4"],
["(x**2+1)**2*atan(x)/x**5",x,12,"-1/12/x**3-3/4/x-3/4*atan(x)-1/4*atan(x)/x**4-atan(x)/x**2+1/2*I*polylog(2,-I*x)-1/2*I*polylog(2,I*x)"],
["atan(x)/x**2/(x**2+1)",x,7,"-atan(x)/x-1/2*atan(x)**2+ln(x)-1/2*ln(x**2+1)"],
["atan(x)**2/x**3",x,8,"-atan(x)/x-1/2*atan(x)**2-1/2*atan(x)**2/x**2+ln(x)-1/2*ln(x**2+1)"],
["(x**2+1)*atan(x)**2/x**5",x,11,"-1/12/x**2-1/6*atan(x)/x**3-1/2*atan(x)/x-1/4*(x**2+1)**2*atan(x)**2/x**4+1/3*ln(x)-1/6*ln(x**2+1)"],
["x**3*atan(x)**2/(x**2+1)**3",x,4,"-1/32/(x**2+1)**2+5/32/(x**2+1)+1/8*x**3*atan(x)/(x**2+1)**2+3/16*x*atan(x)/(x**2+1)-3/32*atan(x)**2+1/4*x**4*atan(x)**2/(x**2+1)**2"],
["asec(x)*(x**2-1)**(1/2)/x**2",x,9,"-(x**2)**(1/2)/x**2-2*I*asec(x)*atan(1/x+I*(1-1/x**2)**(1/2))*(x**2)**(1/2)/x+I*polylog(2,-I*(1/x+I*(1-1/x**2)**(1/2)))*(x**2)**(1/2)/x-I*polylog(2,I*(1/x+I*(1-1/x**2)**(1/2)))*(x**2)**(1/2)/x-asec(x)*(x**2-1)**(1/2)/x"],
["(x**2-1)**(5/2)*acsc(x)/x**3",x,11,"-5/3*(x**2-1)**(3/2)*acsc(x)/x**2+1/3*(x**2-1)**(5/2)*acsc(x)/x**2+1/12*(2*x**4+3)/x/(x**2)**(1/2)-5/4*x*acsc(x)**2/(x**2)**(1/2)-7/3*x*ln(x)/(x**2)**(1/2)-5/2*acsc(x)*(x**2-1)**(1/2)/x**2"],
["asec(x)*(x**2-1)**(1/2)/x**4",x,4,"1/3*(x**2-1)**(3/2)*asec(x)/x**3+1/3/(x**2)**(1/2)-1/9/x**2/(x**2)**(1/2)"],
["asec(x)/(x**2-1)**(5/2)",x,4,"5/6*acoth((x**2)**(1/2))-1/3*x*asec(x)/(x**2-1)**(3/2)+1/6*(x**2)**(1/2)/(-x**2+1)+2/3*x*asec(x)/(x**2-1)**(1/2)"],
["x**2*asec(x)/(x**2-1)**(5/2)",x,4,"-1/6*acoth((x**2)**(1/2))-1/3*x**3*asec(x)/(x**2-1)**(3/2)+1/6*(x**2)**(1/2)/(-x**2+1)"],
["x**3*asec(x)/(x**2-1)**(5/2)",x,5,"-1/3*asec(x)/(x**2-1)**(3/2)+1/6*x/(-x**2+1)/(x**2)**(1/2)-2/3*x*ln(x)/(x**2)**(1/2)+1/3*x*ln(x**2-1)/(x**2)**(1/2)-asec(x)/(x**2-1)**(1/2)"],
["x**6*asec(x)/(x**2-1)**(5/2)",x,16,"-13/6*acoth((x**2)**(1/2))-5/6*x**3*asec(x)/(x**2-1)**(3/2)+1/2*x**5*asec(x)/(x**2-1)**(3/2)+1/6*(-3*x**2+2)*(x**2)**(1/2)/(x**2-1)-5*I*asec(x)*atan(1/x+I*(1-1/x**2)**(1/2))*(x**2)**(1/2)/x+5/2*I*polylog(2,-I*(1/x+I*(1-1/x**2)**(1/2)))*(x**2)**(1/2)/x-5/2*I*polylog(2,I*(1/x+I*(1-1/x**2)**(1/2)))*(x**2)**(1/2)/x-5/2*x*asec(x)/(x**2-1)**(1/2)"],
["asec(x)/x**2/(x**2-1)**(1/2)",x,2,"1/(x**2)**(1/2)+asec(x)*(x**2-1)**(1/2)/x"],
["acsc(x)/x**2/(x**2-1)**(5/2)",x,5,"-11/6*acoth((x**2)**(1/2))+1/3*(8*x**4-12*x**2+3)*acsc(x)/x/(x**2-1)**(3/2)-1/(x**2)**(1/2)+1/6*(x**2)**(1/2)/(x**2-1)"],
["acsc(x)**4/x**2/(x**2-1)**(1/2)",x,6,"24*acsc(x)/(x**2)**(1/2)-4*acsc(x)**3/(x**2)**(1/2)+24*(x**2-1)**(1/2)/x-12*acsc(x)**2*(x**2-1)**(1/2)/x+acsc(x)**4*(x**2-1)**(1/2)/x"],
["(x**2-1)**(3/2)*asec(x)**2/x**5",x,11,"-1/4*(x**2-1)**(3/2)*asec(x)**2/x**4-3/8*asec(x)/x/(x**2)**(1/2)+9/64*x*asec(x)/(x**2)**(1/2)+1/8*(x**2-1)**2*asec(x)/x**3/(x**2)**(1/2)+1/8*x*asec(x)**3/(x**2)**(1/2)+1/64*(17*x**2-2)*(x**2-1)**(1/2)/x**4-3/8*asec(x)**2*(x**2-1)**(1/2)/x**2"],
["asec(x)**3*(x**2-1)**(1/2)/x**4",x,8,"-2/9*(x**2-1)**(3/2)*asec(x)/x**3+1/3*(x**2-1)**(3/2)*asec(x)**3/x**3+2/27*(-21*x**2+1)/x**2/(x**2)**(1/2)+2/3*asec(x)**2/(x**2)**(1/2)+1/3*(x**2-1)*asec(x)**2/x**2/(x**2)**(1/2)-4/3*asec(x)*(x**2-1)**(1/2)/x"],
["asin(((-a+x)/(a+x))**(1/2))",x,-8,"(a+x)*asin(((-a+x)/(a+x))**(1/2))-a*2**(1/2)*((-a+x)/(a+x))**(1/2)/(a/(a+x))**(1/2)"],
["atan(((-a+x)/(a+x))**(1/2))",x,4,"x*atan(((-a+x)/(a+x))**(1/2))-a*atanh(((-a+x)/(a+x))**(1/2))"],
["atan(x)/(1+x)**3",x,5,"-1/4/(1+x)-1/2*atan(x)/(1+x)**2+1/4*ln(1+x)-1/8*ln(x**2+1)"],
["-atan(a-x)/(a+x)",x,5,"atan(a-x)*ln(2/(1-I*(a-x)))-atan(a-x)*ln(-2*(a+x)/(I-2*a)/(1-I*(a-x)))-1/2*I*polylog(2,1-2/(1-I*(a-x)))+1/2*I*polylog(2,1+2*(a+x)/(I-2*a)/(1-I*(a-x)))"],
["asin((-x**2+1)**(1/2))/(-x**2+1)**(1/2)",x,2,"-1/2*asin((-x**2+1)**(1/2))**2*(x**2)**(1/2)/x"],
["x*atan((x**2+1)**(1/2))/(x**2+1)**(1/2)",x,2,"-1/2*ln(x**2+2)+atan((x**2+1)**(1/2))*(x**2+1)**(1/2)"],
["asin(x)/(1-x)**(5/2)",x,5,"2/3*asin(x)/(1-x)**(3/2)-1/6*atanh(1/2*2**(1/2)*(1+x)**(1/2))*2**(1/2)-1/3*(1+x)**(1/2)/(1-x)"],
["(-1+x)**(5/2)*acsc(x)",x,7,"2/7*(-1+x)**(7/2)*acsc(x)+4/7*x*atanh((x**2-1)**(1/2)/(-1+x)**(1/2))/(x**2)**(1/2)+4/105*x*(3*x**2-19*x+83)*(x**2-1)**(1/2)/(-1+x)**(1/2)/(x**2)**(1/2)"],
["asin(sinh(x))*sech(x)**4",x,5,"-2/3*asin(1/2*cosh(x)*2**(1/2))+1/6*sech(x)*(1-sinh(x)**2)**(1/2)+asin(sinh(x))*tanh(x)-1/3*asin(sinh(x))*tanh(x)**3"],
["acot(cosh(x))*cosh(x)/sinh(x)**4",x,6,"1/6*coth(x)-1/3*acot(cosh(x))*csch(x)**3+1/12*atanh(1/2*2**(1/2)*tanh(x))*2**(1/2)"],
["exp(x)*asin(tanh(x))",x,5,"exp(x)*asin(tanh(x))-cosh(x)*ln(1+exp(2*x))*(sech(x)**2)**(1/2)"]]
